Get Started

About This Version
About Last Version
USING PLUGINS (MP3)
Link Below only Available On-Line
MED SUPPORT SITE

TRANSLATE
(copy/paste words on this page into translator window)

GETTING STARTED WITH MED

Before you read this, two important things:

If you have an Anti-virus program installed,
please ensure that it's "auto-protect" feature
is disabled as it can slow down the CPU.

If you have an old, low-spec PC, before playing
mods you should also open the "Settings/Playback",
then de-select the "Smoothing" as this takes a
lot of CPU and old systems may be to slow to
cope with smoothing switched on.

We also recommend a 'minimum' spec of:
2.4 Ghz P4 - 128MB RAM - Windows XP
A Quality Soundcard and be using
the very latest MS DirectX.

New to MED Soundstudio?

So how do I create music in MED?

When you first launch MED Soundstudio, the first screen that you will face is the Main tracker editor window, Ok this looks a bit daunting if you have not seen a tracker before, but believe me, you will soon get to know this very well.

From here you can navigate around the many area's of MED, either with the mouse or the keyboard. The one main reason why I prefer MED over other trackers that are available, is due to it's nice clean and crisp user interface and ease of use. The beginner can quickly learn how to use MED soundstudio or the professional, who can quickly get the 'job' done and does not need to learn a 16 page manual evertime he wishes to write a song.

Getting Help

The Main editor window is the area where you shall be writing and editing your song, from here you can access all of Med’s tools, functions and menu’s and at this point I will add that you can also access any of MED’s balloon help by just placing the mouse over the area you need help on and wait a few seconds until it appears. You will find that you do this to about 95% of each window of MED, if you require more detailed help I suggest you press F1 and you will be presented with the main help files. This should explain in detail nearly every part of MED Soundstudio.

Here are the principles of a song broken down into parts:

Note:

This can be considered a Musical term, a Note is a sound at a certain pitch (Key) and when these notes are place one after another with their pitch changed, you produce a Melody (The bit where you hum or sing along to in the car going to work).

How MED interpolates a note, is quite easy to understand, and the concept of how it works should be understandable after a quick explanation:

A typical note in MED could look like this C-5, the C is the note that will be played back, the number 5 is the octave of the note (An octave is a musical term for how high (Glass breaking high pitched squeal) or low (Bass rumbling sound) the sound will be), so the lower an octave will produce a bass sound, and a higher octave will then produce a higher pitched sound. The lowest value is 1 and the highest value for a sample is 6 (With MIDI this can be even higher).

Sample/Instrument:

This can be considered as one of the instrument’s you will use for your song (Bass, strings, drums and even vocals); you can produce a whole orchestra with a handful of samples. MED is capable of using 64 samples in one song.

Command:

A command will tell MED we wish to do control the note in someway within the song, either change the volume, stop the note playing, move to another block or send information to a MIDI instrument. Probably the most widely used command is C, when you use the C command you are basically telling MED that we wish to change the volume of the C-5 note and the sample/instrument volume will be changed.

Each command may have one or two levels depending on the command, with the volume C command, there is only one level and this tells MED it either wishes to increase, decrease or set the volume of the note. More about Command will be explained later.

Effects:

Unlike a command, an effect does not tell MED what to do with a note, but more what to do with the sample and how it will affect the out bound sound of a sample. Tremolo or vibrato is considered as effects, these change the sound of the sample by adding a bit of waviness to it. Again, command levels control effects and each effect could have 1 or 2 levels.

Line:

Ok, so we have or note, sample, commands and effects, what’s next? The simple answer is this; we need somewhere to put them. Introduces the ‘line’, take a bow ‘line’. Imagine that each member of a band plays each note of a song when and at what time they want! This would rather messy wouldn’t it!

There has to be a way that musicians in the band can play their instrument at the right part? There is! Its called keeping time! And in a way, this is what the lines are for, for example the bass drum will hit a note on every fourth line from the first and the bass will play on every second line from the first, and if you count each line as ‘1 and 2 and 3 and 4 and 1 and 2 and 3 and 4 and so on’ you should see how timing works. So, when you count each line in this manner, you will see which ‘part of the timing’ the bass drum note falls on and which ‘part of the timing’ the bass notes fall on. Easy!

This is what we call in the music world as Timing,

Track:

This could be regarded as an instrument line in your song, i.e. the bass part etc, so you would keep the bass running on track 1 all the way through your song and this way you would find it easier to know which track plays which instrument. Sometimes more than one track is needed to play one instrument, in the case of strings to make chords, or to have one part of the song flow into the next part (i.e. so the notes of the sample do not cut off abruptly as in a piano part for example).

Block:

A block is so many lines long and so many tracks wide, the default number of lines to a block is 64, but this can be as many or as few as you wish. Again blocks can be used to represent timing, how? All songs are made of bars and beats, the most common that everyone probably knows is 4/4 (4 over 4) and this means 4 beats over 4 bars (remember the timing part above?).

If each block is 64 lines long, and we want a 4/4 timing, we then divide 64 lines by 4 (bars) and this will give you 16, this mean you can have 16 lines on each bar or the bar changes on every 16th line. To find out how many lines are played before a new beat, divide 16 by 4 (beats) and a new beat will be on every 4th line. So every 4th line of the block is a ‘beat’ and every 16th line is a new ‘bar’. Try to remember this when you are writing your songs, this will help keep your song in time and you will understand why.

This would be considered your song cut into parts, you would use 4 blocks for the intro, 4 blocks for a verse and etc, etc. A good reason for using blocks as opposed to just one great big block is the fact you can use the same block twice in different part of your song and repeat it over and over. This would save you having to rewrite the same part over and over again.

Sequence:

A song sequence is the order in which you will play each block, you can play block 1 four times before the next block begins, or you could play blocks 1 through to 4 and the start at block 1 again and then jump to block 5. There is no restriction of the running order of each block in the song sequence. This is totally up to you.

Menus and settings

Knowing your way around is the first thing I would suggest before trying to make any music in MED, you familiarise your way around the program. There are many features of MED that may not be apparent at first and the more you know about the program, the less time you will spent looking for ‘where is this’ and more on your music.

First we will begin with the menu bar at the top of MED Soundstudio and give a short explanation of what it is and how it works and work our way through the rest of the menu bar.

File: This deals with input and out of files, mainly dealing with songs.

New: This will clear any old song your may be working on start from fresh.

Open: This will invoke a file requester asking which *song* you would like to load into MED.
*sometimes called a .MOD but when using this program they are defined as .MED files for obvious reasons*

Open Song: This will load a new song into the current module, so you will have two songs in one. The samples of the new song will be placed into empty sample slots (Covered later) and to pick a song in the module to work with, go to Song/Select on the Menu and there you can choose from the dialog box that pops up.

Save: Once you have either finished your song or simply wish to save it to work on it later, using this option will overwrite the last version of the module you where working on. So be careful here, unless you know this what you want to do or you will lose the previous version.

Save As: I suggest when working on an incomplete version of your song use this option and use a renaming convention of Mysong1, Mysong2, and Mysong3 etc. This way, if you completely ruin your song you will have a previous version to go back and start working on again.

With both Save/Save As you have the option to save your Module in different file formats. As a MED song, MED song without samples, A Compressed MED song and a MIDI MED song.

Record As Sample: If you wish to burn your songs to CD or for the Internet etc, you need to convert your Module into a Wav form first. Many MED users use this function to save parts of their songs (as a sample) to use in other Music programs. Very handy indeed!

Tip: This option will save you a bit of time. Just insert 999 into the ‘Recording Speed’ and this will save your module as a sample to disk at a faster speed.

Record As MP3: other MED users favourite and a welcomed introduction to MED. With this option you can save your module directly to disk as a MP3 file and you have a ‘ready’ made song that others can listen to.

Exit: Only do this if you have to sleep.

Edit Menu

Edit: Functions that deal directly with the track editor window. Most of these functions easy to use and will become an everyday part of life when writing your songs.

Tip: To highlight an area of the track editor, press on the left mouse button, hold and then drag. Any area of the editor window can be highlighted, Line/s (Notes and commands), a track, or many tracks to the whole block.

Cut: Copies the area highlighted within the tracker window to the copy buffer and then removes the contents in the highlighted area.

Copy: Has above, but the contents of the highlighted area remain intact.

Paste: This replaces the selected area with the last cut/copy contents. Place the cursor on the line you wish to have the copy buffers pasted too.

Delete: Deletes the content of the highlighted area.

Cut Track: Copies and then deletes the current track (notes and commands) at the cursor and stores this information the copy buffer

Copy Track: The same as Cut Track but leaves the current track (notes and commands) intact.

Delete Track: Deletes the current track without places the information in the copy buffer.

Cut Block: The same as Cut track above but with the whole block.

Copy Block: The same as Copy track above but with the whole block

Delete Block: The same with delete track above but with the whole block.

Affect all command pages:

Find and replace notes: For quick editing purposes,

How to use this:

Source: ‘Pick’ a note and commands by moving the cursor over a note within the tracker editor window and click on ‘pick’ button, to clear the note and commands under the cursor click on ‘clear’

Destination: Move the cursor to the note and commands you wish to replace with the source and click on the ‘pick’ button.

Swap source and destination: switches the notes selected in the source and destination.

Replace in: This is the area that the ‘swap source and destination’ should look for these notes and commands above. Pick ‘song’ to replace all occurring ‘source and destination notes’ with the whole of your med song.

Find previous and find next: Rather than just replacing every occurrence of the ‘source and destination’ you can determine which ‘notes and commands to replace’

Replace: Using this will replace every occurrence of the ‘source and destination notes and commands’ within the ‘Replace in’ area. Using this option may overwrite notes and commands that you may not wish to, so use with caution.

Split Blocks: Using this function will split one block into two, place the cursor on the line where you would like to split the block from. If this where block 1, the bottom half of the block will remain as ‘block one’ and the other part of the ‘split block will then become ‘block two’. All other blocks in the block sequence will be moved up one. MED will update all other block information regarding this.

Join Blocks: Joins the current block with the next block within the sequence, example block 2 and block 3 will become block 2 after joining.

The View Menu

The view menu contains areas within MED that can change sample and synth instruments, editing MIDI messages and other areas dealing with the song.

Sample Editor: The sampler editor is for editing disk-based samples and saving them back to disk or for using within MED. (Will cover the sample editor in more detail later)

Synth Editor: The synth editor is for editing MED synth sounds only; these synth sounds are native to MED only and cannot be used within any other samplers, trackers or programs. These Synth sounds can be saved to disk for use later.

MIDI Message editor: If you have an external synth plugged into your computer and you use MED to control the synth and then you can edit the messages sent to and from MED via here. (Again more on this subject later).

Module Annotation: This will let you input information regarding your song for other to view when they load your song. This includes song name and some info regarding the song.

Instrument Pool: The instrument pool lets you organise your disk-based samples in a manner that will be easier for yourself.
After you have installed the program, to allow you to make use of the Instrument pool you need to set this up by following these instructions:

Run MED, select: "VIEW" from the MED program menu, followed by the "Instrument Pool" which you will see at the bottom of the drop down window.

From the Instrument Pool menu, select: "Directories", then click on the "Add New Directory" a window will open showing your hard drive contents, find the folder named "MED Soundstudio" and select the plus sign next to it, you will then see a sub-folder called, "Samples", click on that folder followed by the "OK" at the bottom of that window.

You will see that a list of samples have now appeared in the Instrument pool window, now select "File" from the menu and click on "Save List", save the "Instruments.txt" file into your main "MED Soundstudio" folder and from then on you can follow the "Get you started instructions"

( The instrument pool cannnot be pre-setup for you )

We hope you thoroughly enjoy using MED Soundstudio. section of the programs on-line help.

Ray/George/Blue

RBF Software

medsoundstudio.com
medsoundstudio.co.uk
octamed.co.uk
Support Site

USERS FAQ PAGES
MED COMMANDS
MED COMMANDS 2
MED KEYS

Copyright© RBF Software. All rights reserved.


About

Links Below only Available On-Line
MED WEB SITE
MED FORUM

The previous MED v1.6 had some very significant changes to the ealier v1 thru v1.5 but as with all software, there is allways room for improvement and hence this v1.7 release.

Until George, the new main author has completed MED V2, James, a very enthusiastic MED user who, as luck would have it, is also a programmer, has decided to continue bug fixes and adding as many features that he can to this present V1.7 release.(any further bug fix release will be denoted with a suffix (ie 1.7b)

To that end, he has just bug-fixed the previous V1.6 and reports..........

1. 0x20 tempo bug fix

If you enter command 0x920 for a tempo change it would change the tick/line to 1 instead of 32...
I found this bug since I wrote a mod in octamed and used 0x920 for one slow passage in beethovens 5th.

2. MMD0 MMD1 synth sound transpose bugfix

When loading a mod which was saved using MMD0 or MMD1 using synth sounds into v1.6, the octaves were being transposed an octave higher... This transpose was supposed to only apply to Sample and Hybrid sounds but not synth sounds. I found this bug when testing a song I wrote using octamed. I've tested... Synth, hybrid, and samples for MMD0 and MMD1, and now it appears to be working properly.
now to find the crackling noise problems...

3. Sample Editor's black on black bugfix

The change here will only be noticed by anyone who uses a black color scheme (e.g. where your text is white on black). When opening the sample editor the color you have chosen for your text will be the color displayed for the waveforms in the sample editor. For most people this has been black text on white, so no change will be apparent to them.

4. Added Read Volume checkbox for midi.

This is a much needed option which was originally available for the Amiga Octamed... By default this option was not checked and so you could input your notes using midi-in and change them without having to worry about the volume commands overriding any commands you have previously put for this note.

A few smaller parts of the code were also altered in the hope this will help those few users who are still using old/slow machines although, to be honest, the use of old/slow machines for this type of media usage is not recomended.

Have questions about the next V2?
Browse to the MED Forum at:

MED Forum

and register (choose a username and password), once you
are a member, you can select, (or browse to later):

Read V2 Posts by George

you can not only read any of the posts but as a registered
forum member you can then leave George your V2 questions/ideas.
USERS FAQ PAGES
MED COMMANDS
MED KEYS


About Previous

About MED
Link Below only Available On-Line
MED USERS IN-FOCUS

The previous MED v1.5/1.6 had some very significant changes to the ealier v1.x updates and although they may not be obvious because they are under the bonnet and not visually apparent, it could not possibly be considered a simple v1.x update.

Many users complained that the previous V1.x updates used too much CPU power and those with older, slow PC's found that playing most of their songs would quickly bring the PC to a halt.
We answered this question and a lot more, in beta tests playing a 32 stereo channel MOD in MED v1.5 had greatly reduced the CPU usage.

This improvement meant that when playing your songs, the response time from the MED GUI has greatly improved and was now much smoother, even with a song playing that contains many large samples.

To quote John Neil, the MED Help editor..............

Play back is smooth to the point of silky, and again those expecting the same as earlier in this department will be very surprised indeed.

We have found that the 'pops n clicks' at the sample start have more or less disappeared completely and the sound is a lot more full and the lower tones (Bass) is much more apparent. (So turn down that bass knob first).

Another major change in v1.5 was the online help system.
The old style Windows help files has been replaced by the Microsoft HTML help.
This means you will be able to browse through the help files in the same manner as you would through the Internet.

The new help system is mainly a conversion of the original by Ed Wiles, but there are many additions and rewrites to some of the help documents from the help author, John Neill who put a great deal of his spare time and effort into v1.5

In addition to this, there have been even more changes in this department, you will find that new bubble help (or Balloon) has replaced the '?' windows dialog help and you can just place the mouse over certain areas of MED and helpful information will pop up automatically for you. Easy or what eh?

There have been other additions, which while small are very much welcomed in this update such as the ability to preview samples from within the Instrument Pool.

A number of features are under a new subcategory on the 'Settings' menu, aptly named 'Others'. This is where a number of advanced settings will be found. Note that all of these are stored directly in the Windows registry, rather than the traditional MED configuration file.

ExclusiveSoundOutput:
If this value is set to false then MED and other softsynths or other audio programs can share sound together.

ShowBalloonhelp:
This option was asked to be included by the beta testers, this gives you the option to turn off the balloon help when using MED, useful if you are a veteran and do not need the help provided.

OutputPlugin:
You can assign which plug-in Med will use to save your song to disk.

PluginDir:
You can now change the folder where you keep your MED Plugins.

SampleUndoCount:
Before if you wished to change the sample undo level this could only be done by changing the value within the registry itself. The undo level can now easily be changed from here.
You may want to consider adjusting this upwards if you have lots of free memory, or downwards if you are memory constrained, or do not find the undo function useful.

There were reports of some crashes being caused when large samples were copied into the sample editor of v1.5 so this was fixed, we also altered a few other sections of the code with the aim of helping those few users who are still using old/slow machines, although, to be honest, the use of old/slow machines for this type of media usage is definitely not recomended.

Read About The Present Version


About this Version

About Last Version
Credits and Thanks
Links Below only Available On-Line
MED WEB SITE
MED FORUM

There is allways room for improvement and hence this v1.7a release.

Until George, the new main author has completed MED V2, James, a very enthusiastic MED user who, as luck would have it, is also a programmer, has decided to attempt to continue bug fixes and adding as many features that he can to this present V1.xx release.

To that end, he bug-fixed four parts of the previous V1.6 and reported..........

About v1.7

1. 0x20 tempo bug fix

If you enter command 0x920 for a tempo change it would change the tick/line to 1 instead of 32...
I found this bug since I wrote a mod in octamed and used 0x920 for one slow passage in beethovens 5th.

2. MMD0 MMD1 synth sound transpose bugfix

When loading a mod which was saved using MMD0 or MMD1 using synth sounds into v1.6, the octaves were being transposed an octave higher... This transpose was supposed to only apply to Sample and Hybrid sounds but not synth sounds. I found this bug when testing a song I wrote using octamed. I've tested... Synth, hybrid, and samples for MMD0 and MMD1, and now it appears to be working properly.
now to find the crackling noise problems...

3. Sample Editor's black on black bugfix

The change here will only be noticed by anyone who uses a black color scheme (e.g. where your text is white on black). When opening the sample editor the color you have chosen for your text will be the color displayed for the waveforms in the sample editor. For most people this has been black text on white, so no change will be apparent to them.

4. Added Read Volume checkbox for midi.

This is a much needed option which was originally available for the Amiga Octamed... By default this option was not checked and so you could input your notes using midi-in and change them without having to worry about the volume commands overriding any commands you have previously put for this note.

About v1.7a

A few smaller parts of the code have been altered which should help those few users who are still using old/slow machines although, to be honest, the use of old/slow machines for this type of media usage is not recomended.
The FAQ and various pages updated/modernised, added new .mp3 plugin

Have questions about the next V2?
Browse to the MED Forum at:

MED Forum

and register (choose a username and password), once you
are a member, you can select, (or browse to later):

Read V2 Posts by George

you can not only read any of the posts but as a registered
forum member you can then leave George your V2 questions/ideas.
USERS FAQ PAGES
MED COMMANDS
MED KEYS


Credits and Thanks

CREDITS AND ACKNOWLEDGMENTS:

From an original Amiga version by Teijo Kinnunen. (Many thanks Teijo)

Windows programming by Andrew Philpotts. (Thanks Andy)

Additional programming (all versions) by Ray Burt-Frost.

This V1.7a bug fixed version by James Killian. (Thanks James)

(c) 1990 - 2005 & Published by RBF Software. Copying, re-distribution prohibited.

Original Help Files: Ed Wiles
On-line Help Author: John Neill. LZO code(c) Markus Oberhumer.
ADPCM codec. Sun Microsystems. Original stretch code: J. Margetts.
Some Graphics by: John Neill/Manolis Gerasidis/Darren Lambourne

MY THANKS TO :

Allister Brimble, Andrew Gledhill, Barry Walker, Ben Baker, Christopher Calhoun
Darren Flinders, Darren Lambourne, John Neill, Patrick Dunn, Vince Whittingham
and all the other beta-testers without whom my job would have been much harder.

EXTRA THANKS ALSO GO TO :

  • Blue (Vince Whittingham): MED Support Site

  • Catzwolf (John Neill): MED Help Editor

    • RETURN TO HOME PAGE


MED Soundstudio V1.7a

File Formats and Plugin Information

The plugins can be found in the MED plugins folder,
WinAmp can play these.

You can obtain more out_ plugins from the WinAmp web site at: www.winamp.com

We suggest that you download and install the WinAmp player itself.

You may need to set the path for your plugins, the folder can be found
within the MED Soundstudio folder itself.

How Plugins are configured:

Launch MED Soundstudio and load the MED song you want to encode into MP3.
Now select from the File menu, "Record via Plugin", which will open the
"Output to Plugin" window.
Select the browse button which opens the "Select Directory" window,
now go to the MED plugins folder and select it and click "OK"

In the drop down menu of the "Output Plugin" window
you will see: "select plugin" open that drop down menu
and to save your song in mp3 format, select the filename:
"Chun-Yu's MP3 Writer plug-in v3.0"

After selecting that, you can then click the "Configure Plugin"
button to choose a folder to save the resulting MP3 file into.

After you do that, a window will open which will allow you to set
many MP3 attributes, ( until you learn how to use this feature we
suggest that you LEAVE THE SETTINGS and simply click "OK"

It is then simply a matter of hitting the "Play/Record" button and
the recording/MP3 encoding/saving to your chosen folder, begins.
The file is be saved with the same name but with the .mp3 extension.
(click on "OK" to end the session)

IMPORTANT

Don't forget to include the "FFE" command at the end of your song
or it will, of course, re-play/continue recording over and over etc.,
which can make for a VERY large mp3 file.

Well, I *hope* I have explained myself clearly enough for you,
unfortunately doing so is not one of my best talents. :)

Ray/George/James

RBF Software

PAGE ONE

website 1
website 2
website 3

Support Site: MED Support Forum


MED Soundstudio Windows Version

ABOUT MED

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

New MED Standards by Kalavinka

(OR "all the awkward chords you hoped you'd
never have to learn made easy with MED")

To save space the downloadable example files are set for use with MIDI ONLY!.

Introduction

MED's built-in block, sequence, section divisions make it easy to structure your musical creations as you go, from totally freeform constructions to the slowly evolving bottom-up movement often found in dance music and electronica.
But what about structuring a song along more traditional lines. No problem. This tutorial looks at a way of using the very same features to "rough out" a song in a more traditional structure, working from the top down. That is not to say it couldn't be applied to electronica, try listening to some Kraftwerk!
I'll be focusing on Blues and Jazz. If you are into rock it should still be useful because rock is at its heart based around Blues (likewise many other popular forms such as modern R&B, Hip Hop). Those of you with a good knowledge of rock will be able to think immediately of how bluesy even the most progressive rock outfits started out.
If you already play guitar, you'll already be more than familiar with chord progressions. This may be easy for you if you know a lot of chords, but if you don't I hope it will be of some use in emphasising a few less obvious ones. Skip the bits you know already!
If you don't play an instrument and just "MED to MED", you might have seen on sheet music such strange symbols as Dm7 floating above the staves. Actually we can use MED to break these open to see what notes these are made of and make use of tried and tested ways of structuring music by moving from one to another smoothly.
I'll also be including MODS which give you a chord alphabet to string together progressions of your own. You might want to change these to reflect your preferred song settings. I will indicate a MOD to load by providing a screenshot or some other image to click on.
Incidentally, a well documented and copyright-murky technique used by post-war Jazz musicians was to take an established Jazz tune ("standard") and re-use the sequence of chords but with different melodies to create a new standard. This was often rendered murkier by the title only being slightly different, with interesting use made of synonyms (e.g. Charlie Parker's many different bird references).
Since many pop tunes have a fairly limited range and arrangement of chords (and consequently feel a bit too similar), I hope this will encourage you to be daring! Please don't feel you have to wade through it all at once - just use what works for you.

Part 1 - Intervals

Select here to download example.
(MIDI Advised as there are no samples included)

The conventional explanation of intervals is based around scales (starting with the inclusive set of eight white notes C-to-C of C major) and only at a fairly advanced stage introducing the chromatic scale, which is the whole 12 notes (including white and black) within one octave.

Because I've just picked up bits and pieces rather than being classically trained and play a somewhat quirky instrument that is laid out differently to a piano, I find it easier to start with the full set of 12 and think in terms of semitones.

A semitone is the smallest interval we commonly use, usually from a white note to its next black note (C->C#, F->F#,...) but also sometimes between white notes with no black note in between (E->F, B->C). In this way the standard piano keyboard ENCODES all our prejudices about music within the 12 note chromatic set.

The naming of intervals reflects these prejudices because they are collected according to scale, rather than by the real difference in pitch involved. This means there is a "minor" and a "major" for most types of interval. Notice that a scale can and usually does contain both major and minor intervals. In fact you can go one step further and say that the purpose of different major keys is to make music sound the same by preserving the pattern of intervals.

Without further discussion I will list them for C major:

2nds
C -> D | major 2nd | 2 semitones (difference)
D -> E | major 2nd | 2 semitones
E -> F | minor 2nd | 1 semitone
F -> G | major 2nd | 2 semitones
G -> A | major 2nd | 2 semitones
A -> B | major 2nd | 2 semitones
B -> C | minor 2nd | 1 semitones

so the minor 2nd is one semitone (difference); the major 2nd is two semitones

3rds
C -> E | major 3rd | 4 semitones (difference)
D -> F | minor 3rd | 3 semitones
E -> G | minor 3rd | 3 semitone
F -> A | major 3rd | 3 semitones
G -> B | major 3rd | 4 semitones
A -> C | minor 3rd | 3 semitones
B -> C | minor 3rd | 3 semitones

so the minor 3rd is three semitones; the major 3rd is four semitones

* You can see the Major/minor pattern changing as more of the intervals
span white-white notes like EF (we'll come to fourths and fifths in a sec...).

6ths
C -> A | major 6th | 9 semitones (difference)
D -> B | major 6th | 9 semitones
E -> C | minor 6th | 8 semitone
F -> D | major 6th | 9 semitones
G -> E | major 6th | 9 semitones
A -> F | minor 6th | 8 semitones
B -> G | minor 6th | 8 semitones

so the minor 6th is eight semitones; the major 6th is nine semitones

7ths
C -> B | major 7th | 11 semitones (difference)
D -> C | minor 7th | 10 semitones
E -> D | minor 7th | 10 semitone
F -> E | major 7th | 11 semitones
G -> F | minor 7th | 10 semitones
A -> G | minor 7th | 10 semitones
B -> A | minor 7th | 10 semitones

so the minor 7th is ten semitones the Major 7th is eleven semitones

Okay now for the 5th and 4th which we skipped.
5ths and 4ths unlike the others can be "perfect".

For 4ths the smaller is called perfect and the larger augmented (i.e. a bit bigger)

4ths
C -> F | perfect 4th | 5 semitones (difference)
D -> G | perfect 4th | 5 semitones
E -> A | perfect 4th | 5 semitone
F -> B | augmented 4th | 6 semitones
G -> C | perfect 4th | 5 semitones
A -> D | perfect 4th | 5 semitones
B -> E | perfect 4th | 5 semitones

so the perfect 4th is five semitones; the augmented 4th is six semitones

Likewise for 5ths the larger is called perfect and the smaller diminished.

5ths
C -> G | perfect 5th | 7 semitones (difference)
D -> A | perfect 5th | 7 semitones
E -> B | perfect 5th | 7 semitone
F -> C | perfect 5th | 7 semitones
G -> D | perfect 5th | 7 semitones
A -> E | perfect 5th | 7 semitones
B -> E | diminished 5th | 6 semitones

so the Perfect 5th is seven semitones; the diminished 5th is six semitones

Actually 4ths and 5ths are usually perfect so the "perfect" can be dropped. You should also have noticed that an augmented 4th is the same size as a diminished 5th. This interval is also called a tritone. The tritone is arguably more perfect than its supposedly perfect neighbours!!!

(Some of this terminology should look familiar if you've used the sample editor to make chords out of a sample - the next section is about how "nice" these sound).

Part 2 - Dissonance and character of intervals

People have varying sensitivity to how notes sound together. If you follow the harmony encouraged by strict music theory, your music may sound rather dull. All the notes will always sound together, called "consonance". At the other extreme is the duff notes we might wish to learn to avoid (which may not be so different on the ears from the purposeful dissonance introduced by modern composers!).

A common "mistake" (or endearing feature, depending how you look at it) noticeable in *some* early MODS was a tune that sounded predominantly like this, but then you would hear a dissonant note that didn't seem to fit. And why not? Who says what's wrong - if your ears like it that's enough. If I didn't need to get this tutorial finished, I'd be trawling through old Amiga CD-ROMS to find some classic examples.

Jazz and especially Blues depend on "blue notes" for a lot of their qualities. These are notes (especially the so-called "flattened" notes) which are not strictly in the western equivalent scale and clash slightly or impart or suspend some tension, probably as a result of African scales being combined with western in its American heartlands. Blues licks are of course especially fundamental to rock.

There is of course nothing whatsoever wrong with imparting dissonance purposely, especially since Schoenberg who was a master at willful dissonance, but learning to control it gives you freedom to use it more expressively, as subtly or as obviously as you like.

Modern composers sometimes use dissonance in a very obvious way and other times more subtly to make their music interesting. Sometimes interesting tension comes through without the composer having an explicit intention for it, which indicates how well accepted it now is.

With movement, dissonance can be resolved, adding to the story being told by the music. The ways this happen in Jazz are far more subtle and interesting than the simple minded Minor->Major so preferred by propaganda material from failed totalitarian regimes!

In the second half of the MOD [Intervals.med], I have started with dissonance and travelled through imperfect consonance and ambiguity to end on pleasing (but dull) consonance. This is a very obvious form of resolution, but we will see later how this can be achieved within chords themselves.

Here's how the intervals fit into the different categories, then:

Dissonances: tone, semitone, minor 7th, major 7th

Imperfect consonances: major 3rd, minor 3rd, minor 6th, major 6th

Amiguous: tritone (or augmented 4th/diminished 5th)

Consonances: unison (ie. same note), octave, fifth, fourth

Generally speaking, dissonances feel tense. Consonances feel more relaxed. Movement that resolves tension into relaxation progresses.

Part 3 - Some useful seventh chords EXPLODED!!!

Select here to download example.
(MIDI Advised as there are no samples included)

It may seem I'm starting with rather complicated types of chords, but sevenths are an interesting bunch and can be greatly simplified in some cases without losing their character. Now is a good time to look back over the intervals. Following [1] I'll introduce them as two sets of three (with "root" as the base note):

First lot - 7th, minor 7th, major 7th chords:

7th: Major triad (root, third, fifth) + minor 7th, e.g. C, E, G, Bb

major 7th: Major triad (root, third, fifth) + major 7th, e.g. C, E, G, B

minor 7th: minor triad (root, minor third, fifth) + minor 7th, e.g. C, D#, G, Bb

NB: Symbols - the number 7 is used for added minor 7ths (ie. 7th and minor 7th above) and a delta symbol can be used for added major 7ths. I can't find delta so I'm going to use "maj7", since it seems to be used in sheet music I have. See below for more on how these are written.
I think of Arpeggios as simply exploded chords. The MOD does this to the chords in turn. Many instruments do not play chords (often because the physics is against them), or are limited to what chords are easy to play. I can't play some 7ths very easily on harmonica because I would have to suck while I blow (some might say not totally impossible - I'm no Philip Achille!).
Playing arpeggios instead is useful in this case, but MED can be used to provide simple chord accompaniment to a single note instrument. If you have an amenable friend with a guitar or piano life is even easier.
Before we move on to the next set, try the below MOD which plays the chords to the Jazz Standard "Autumn Leaves". The block list becomes the list of chords in order of appearance and the playing sequence is the progression of chords in the song.

If you are not familiar with the song, a nice exercise is to add another track and construct a melody to fit the chord progression. Even if you do know the song, you can construct a different melody as I described earlier.

Select here to download example.
(MIDI Advised as there are no samples included)

Second lot Diminished 7th, Half-dimished 7th, Minor/major 7th:
(listen along to [7ths_part2.med] - these are usually less common)

Dimished 7th: diminished triad (root, minor third, diminished fifth) + diminished 7th, e.g. C, Eb, Gb, A

Half-diminished 7th: diminished triad (root, minor third, diminished fifth) + minor 7th, e.g. C, Eb, Gb, Bb

Minor/major 7th: minor triad (root, minor third, fifth) + major 7th, e.g. C, Eb, G, B

NB: Symbol dim7 is added for Diminished 7ths, m7(b5) is addded for
half-diminshed 7th and I'm using m7(maj7) for minor/major - I've no
idea if it's right, so I'll do the usual cop-out and say checking it is
left as an exercise for the reader.

Let's recap:
[root]7 | 7th | root, third, fifth + minor 7th
[root]maj7 | Major 7th | root, third, fifth + major 7th
[root]m7 | Minor 7th | root, minor third, fifth + minor 7th
[root]dim7 | Diminished 7th | root, minor third, diminished fifth + diminished 7th
[root]m7(b5) | Half-diminished 7th | root, minor third, diminished fifth + minor 7th
[root]m7(maj7) | Minor/major 7th | root, minor third, fifth + major 7th

I'm going to end it there, although there's much more I'd like to go into, because I don't want to write a book myself and but it seems like a good place to stop. The main thing I wanted to show is more of an approach - using the block list to make all the chords you need, then using the playing sequence to build the progression. I've concentrated on sevenths but there's no earthly reason to stick to that. Experiment!!!

The bibliography below has some ideas if you want to take it further. Thanks for reading this tutorial.

Bibliography

Most of the material in this tutorial is based on this book (and the book goes a lot further - highly recommended):

[1] "Practical Jazz", Lionel Grigson, Stainer and Bell (1988)
But there are also many "chord dictionaries" available, suited to various instruments that could form good source material without too many whys and wherefores such as:
[2] "All the Jazz chords you'll ever need!", Jack Long, Music Sales Corporation (1999)
And some excellent accessible theory books suited to those who just need to pick a few bits out rather than study for grades:
[3] "The complete idiot's guide to music theory", Michael Miller, Alpha (2002)

(Personally I find the "official" theory reference books rather difficult in their approach - I have a back to front approach by their standards - but they are good for reference)

FAQ PAGE 1 | FAQ PAGE 2 | FAQ PAGE 3 | FAQ PAGE 4


COMMANDS 2
FAQ PAGE 1
MED KEYS

Med Commands

Submitted by Catzwolf the MED Soundstudio Help Author

This section of the site tries to deal with the commands that MED uses and explains how they all work and hopefully by the end you will have learnt how to put these commands together to make your songs, modules sound more natural and alive.

Some of the commands just deal with MED directly, like asking MED to play a number of lines within a block a certain amount of times to changing the volume of a individual note, other commands deal with adding effects like a simple vibrato to the more complex effects like filters and echo and others will deal with how a sample can be manipulated like sample offset.

When it comes to writing music many aspects have to be taken into consideration, how will that note follow this note, what part of the song will follow this part, but at the end of the day, these commands are an important part of how your song will sound.
Without them your song may sound lifeless and dull, my advice is learn as many as you can and if you can't always keep handy a reference to the commands handy. Either come back here or use the HELP files that are already within MED itself! Yes! They are there, it is under HELP in the menu bar.

Now select any of the highlighted (blue) commands in the first column
get learning and enjoy making better MED music!

Cmd | Name | Description
00 | Arpeggio | Gives a note a quick arpeggio
01 | Slide Pitch Up | The same as a guitarist bending a note upward
02 | Slide Pitch Down | The same as a guitarist bending a note downward
03 | Portamento | A MIDI command that can be used on samples
04 | Vibrato (Deeper) | Similar to a whammy bar on the guitar
05 | Slide Pitch And Volume | Slides a note pitch up or down while changing volume
06 | Vibrato And Volume Slide | Ramps the volume while giving a vibrato sound
08 | Set Hold And Decay | This command gives a "after touch" to a sound
09 | Set Ticks/Line | Sets amount of beats to a bar
0A | Slide Volume | Ramps the volume up or down smoothly
0B | Playing Sequence Position Jump | lets you jump from one part of the song to another within the song itself
0C | Set Volume | This sets the volume of a track to a given number
0D | Slide Volume | Ramps the volume up or down faster
0E | Wave/Pitch Sequence Position Jump or Set Panning | Eeek just go to the link and read it lol
0F | Miscellaneous | To many to mention here, look at the page
10 | Send MIDI Message | MIDI command
11 | Slide Pitch Up Once | Slides the pitch of a note up once
12 | Slide Pitch Down Once | Slides it down again! by one note
13 | Set Pitch bender (Beside Note) | This is a MIDI command
14 | Vibrato (Shallower) | As command 04 but not as heavy
15 | Set Fine tune | Set the fine tune of badly tuned samples
16 | Repeat Lines (Loop) | Repeats a given number of line within a track
17 | Set Channel Volume | This command will set the channel volume
18 | Mute Note | Kills the volume of a note in DMA
19 | Sample Start Offset | Sets the starting position of a sample
1A | Slide Volume Up Once | Gives a smooth volume up
1B | Slide Volume Down Once | Gives a smooth volume down
1C | MIDI Command | Midi Command
1D | Jump To Next Playing Sequence Entry | Rather than play the whole block, this lets you jump to the next one
1E | Replay Line | Replays a point in a song any given amount
1F | Delay/Repeat Note | This command does various things but good for double kick FX
20 | Reverse Sample and Relative Sample Offset | Reverses a sample to give an effect
21 | Slide Pitch Up (Fixed Rate) | Slides the note up within a given rate by you
22 | Slide Pitch Down (Fixed Rate) | As above but down again
23 | Filter Sweep | Using this command with the next two gives that trance note phasing;
24 | Set Filter Cutoff Frequency | Sound, The command 23 sweeps the note while 24 and 25 produces
25 | Set Filter Resonance And Command | the other effects of this sound.
2E | Set Track Panning | Set the panning position of a sound between each speaker
31-3F | Midi Command | Other MIDI commands


COMMANDS 1
FAQ PAGE 1
MED KEYS

MED SOUND STUDIO
PLAYER COMMANDS - QUICK REFERENCE GUIDE

Samples & Synthsounds

Player commands are a combination of player command Type, Level 1 and Level 2 digits

The left-hand Level 1 digit is sometimes called Level 1a, and the right-hand digit Level 1b. The left-hand Level 2 digit is sometimes called Level 2a, and the right-hand digit Level 2b.

C-4 1327F00
|   || | |
|   || | +-- Command Level 2 (Level 2a / Level 2b)
|   || +---- Command Level 1 (Level 1a / Level 1b)
|   |+------ Command Type
|   +------- Instrument Number
+----------- Note / Octive

PITCH CHANGE

No. | Type | Description | Example
01 | Slide Pitch Up | Slides a note’s pitch upwards. It is best entered using the automatic slide creator. Although type 01 is usually used to slide towards a particular note, in fact it is independent of such notes – any actual note is replayed when it is reached, unlike type 03. Level 1: Slide speed [allowed range: 00-FF] Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF] | 0000 C-5 3000000 0001 E-5 00303AB Sliding begins 0002 --- 00303AB continue to slide up 0003 --- 0021000 Start sliding downwards 0004 --- 0021500 Slide downwards faster 0005 --- 0020000 Continue sliding 0006 --- 0050200 Continue sliding, and fade away at speed 2 0007 --- 0050200 ...Continue... 0008 --- 0000000 Stop sliding and fading
02 | Slide Pitch Down | Slides a note’s pitch downwards. It is best entered using the automatic slide creator. Although type 01 is usually used to slide towards a particular note, in fact it is independent of such notes – any actual note is replayed when it is reached, unlike type 03. Level 1: Slide speed [allowed range: 00-FF] Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF] | See Above
03 | Portamento | Slides a note’s pitch. It is best entered using the automatic slide creator. Type 03 always slides towards a particular note. Types 01 and 02, however, slide independently of target notes – any actual target note is replayed when it is reached. Level 1: Slide speed [allowed range: 00-FF] Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF] | See Above
11 | Slide Pitch Up Once | Slides a note’s pitch upwards. It cannot be created using the automatic slide creator. This type is like type 01, except it only slides on the first tick of the line, not on every tick. Level 1: Slide speed [allowed range: 00-FF] Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF] | See Above
12 | Slide Pitch Down Once | Slides a note’s pitch downwards. It cannot be created using the automatic slide creator. This type is like type 02, except it only slides on the first tick of the line, not on every tick. Level 1: Slide speed [allowed range: 00-FF] Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF] | See Above
21 | Slide Pitch Up (Fixed Rate) | Slides a note’s pitch upwards. It cannot be created using the automatic slide creator. This type is like type 01, except it slides at a fixed rate, regardless of the pitch. With the other commands, lower pitches mean slower slide speeds (command levels being equal). Level 1: Slide speed [allowed range: 00-FF] Level 2: Ignored | See Above
22 | Slide Pitch Down (Fixed Rate) | Slides a note’s pitch downwards. It cannot be created using the automatic slide creator. This type is like type 02, except it slides at a fixed rate, regardless of the pitch. With the other commands, lower pitches mean slower slide speeds (command levels being equal). Level 1: Slide speed [allowed range: 00-FF] Level 2: Ignored | See Above
04 | Vibrato (Deeper) | Rapidly slides the pitch up and down (causing a ‘wobble’). Level 1a: Vibrato speed [allowed range: 0-9, A-F] Level 1b: Vibrato depth [allowed range: 0-9, A-F] Level 2: Ignored | 0000 D-6 7048100 High speed, low depth 0001 --- 0040000 Continue vibrato... 0002 --- 0040000 ... 0003 --- 0000000 ...and stop vibrato 0004 --- 0148100 Same speed as before, but half the depth (type 14 used instead of 04) 0005 --- 0140000 Continue vibrato... 0006 --- 0060300 ...continue vibrato, and fade at speed 3 0007 --- 0060300 ...continue... 0008 --- 0000000 Stop vibrato and fading
14 | Vibrato (Shallower) | Rapidly slides the pitch up and down (causing a ‘wobble’). Command levels being equal, the depth is half that of type 04. Level 1a: Vibrato speed [allowed range: 0-9, A-F] Level 1b: Vibrato depth [allowed range: 0-9, A-F] Level 2: Ignored | See Above
00 | Arpeggio | Changes the note’s pitch very quickly. It is usually used to create special effects. The note alternates between three different pitches, in order. Level 1: Ignored Level 2a: Number of halfsteps between pitch 1 and pitch 2 [allowed range: 0-9, A-F] Level 2b: Number of halfsteps between pitch 1 and pitch 3 [allowed range: 0-9, A-F] This command has the same effect as the synthsound ARP and ARE commands, but can only handle two or three different pitches. | 0000 C-5 3000047 Rapidly plays notes C-5, E-5 and G-5 repeatedly. The second and third notes are 4 and 7 halfsteps above the first note. 0001 --- 0000047 The arpeggio is continued... 0002 --- 0000047 ... 0003 --- 0000000 ...and stopped

VOLUME CHANGE

No. | Type | Description | Example
0D | Slide Volume | Increases or decreases a note’s volume smoothly. Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F] Level 1b: Speed of getting softer [allowed range: 0-9, A-F] Level 2: Ignored Technical note: The volume is changed every tick. For example, assuming 6 ticks per line, a level 1a value of 2 would raise the volume 12 steps per line. | 0000 F-4 50C4000 Play note at volume 40 hex (half volume) 0001 --- 00D0100 Decrease volume slightly 0002 --- 00D0100 Decrease volume a little more 0003 --- 00D2000 Increase volume back up to 40 hex 0004 --- 01A0200 Increase volume slightly (4 levels) 0005 --- 01A0200 And again 0006 --- 01B0380 Decrease volume by a bit more (7 levels) 0007 --- 01B0380 And again
0A | Slide Volume | Only exists for backwards compatibility. Equivalent to type 0D. |
1A | Slide Volume Up Once | Increases a note’s volume. Unlike type 0D, the volume is only changed on the first tick of the line, rather than every tick. For backwards compatibility, the command level is set in a peculiar way. It is best to leave it to Insert Command into Song! Level 1: Amount to increase volume, divided by 2 [00 (silent) - 3F (maximum)] Level 2a: The remainder of dividing by 2 [0 if remainder 0, 8 if remainder 1] Level 2b: Ignored | See Example for 0D.
1B | Slide Volume Down Once | Decreases a note’s volume. Unlike type 0D, the volume is only changed on the first tick of the line, rather than every tick. For backwards compatibility, the command level is set in a peculiar way. It is best to leave it to Insert Command into Song! Level 1: Amount to decrease volume, divided by 2 [00 (silent) - 3F (maximum)] Level 2a: The remainder of dividing by 2 [0 if remainder 0, 8 if remainder 1] Level 2b: Ignored | See Example for 0D.
05 | Slide Pitch And Volume | Continues the previous pitch slide, and also slides the volume (i.e. gradually gets louder or softer), as with type 0D. A pitch slide command (type 01, 02, 03, 11, 12, 21 or 22) must have been used on the previous line. This type is really a combination of two types: a pitch slide and type 0D. So, to achieve the same effect you can use a pitch slide type and 0D simultaneously, on different command pages. Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F] Level 1b: Speed of getting softer [allowed range: 0-9, A-F] Level 2: Ignored | 0000 C-5 3000000 0001 E-5 00303AB Sliding begins 0002 --- 00303AB continue to slide up 0003 --- 0021000 Start sliding downwards 0004 --- 0021500 Slide downwards faster 0005 --- 0020000 Continue sliding 0006 --- 0050200 Continue sliding, and fade away at speed 2 0007 --- 0050200 ...Continue... 0008 --- 0000000 Stop sliding and fading
06 | Vibrato And Volume Slide | Continues the previous vibrato, and also slides the volume (i.e. gradually gets louder or softer), as with type 0D. A vibrato command (type 04 or 14) must have been used on the previous line. This type is really a combination of two types: a vibrato type and 0D. So, to achieve the same effect you can use a vibrato type and 0D simultaneously, on different command pages. Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F] Level 1b: Speed of getting softer [allowed range: 0-9, A-F] Level 2: Ignored | 0000 D-6 7048100 High speed, low depth 0001 --- 0040000 Continue vibrato... 0002 --- 0040000 ... 0003 --- 0000000 ...and stop vibrato 0004 --- 0148100 Same speed as before, but half the depth (type 14 used instead of 04) 0005 --- 0140000 Continue vibrato... 0006 --- 0060300 ...continue vibrato, and fade at speed 3 0007 --- 0060300 ...continue... 0008 --- 0000000 Stop vibrato and fading
0C | Set Volume | All instrument types: Set Volume Sets a note’s volume. This temporarily overrides the instrument’s usual volume. Volume slides (fading in or out) using this type are often effective. With MIDI instruments, a note’s volume cannot be changed after it is played using type 0C. (Type 17 can change the volume of all notes on a particular MIDI channel). Level 1: Volume level [allowed range: 00 (silent) - 7F (full volume)] Level 2: Ignored | 0000 D-6 5000000 Play note at volume 40 hex (half volume) 0001 E-6 50C2000 Play note at volume 20 hex (quarter volume) 0002 F#6 5000000 Play note at volume 40 hex (half volume) 0003 G-6 50C7F00 Play note at volume 7F hex (full volume) 0004 --- 50C4000 Change previous note’s volume to 40 hex. This does not work with MIDI instruments.

SONG CONTROL

No. Type Description Example
09 Set Ticks/Line Sets the number of ticks per line.
The usual way of setting the tempo is with type 0F.

Level 1: Ticks per line [allowed range: 00-20, in hex as usual!]
Level 2: Ignored 		0000 --- 00F9600 Set main tempo to 150 decimal (96 hexadecimal)
0001 --- 0090300 Halve the number of ticks per line (it is usually 6)
0F Miscellaneous Set Tempo (level 1 = 0B-F0)

Changes the Primary Tempo. (Levels 01-0A exist for compatibility only.)

See Above
2E Set Track Panning Sets a track’s stereo location. It changes the track’s Pan slider (Track Properties dialog).

Level 1: Pan level [allowed range: F0 = far left, 0 = middle, 10 = far right (signed hex)]
Level 2: Ignored

To ‘sweep’ from one speaker to another, try creating a slide using this type (e.g. start level = -16, end level = 16). 		0000 D-5 2000000
0001 --- 02EF000 Set track panning to far left (-16 decimal)
0002 --- 02EF800 Set track panning to center left (-8 decimal)
0003 --- 02E0000 Set track panning to center
0004 --- 02E0800 Set track panning to center right
0005 --- 02E1000 Set track panning to far right
0006 --- 02E0800 And back to the far left...

0007 --- 02E0000 ...
0008 --- 02EF800 ...
0009 --- 02EF000 ...here
0F Miscellaneous Stop Song/Block (level 1 = FE)

Stops playing the song or block.
The same effect can be achieved with the Stop playing playing sequence command, although it cannot occur in the middle of a block.

0045 C#5 2000000
0046 D-5 20FFE00 Stops playing the song or block, after playing note D-5
0047 E-5 2000000 This note is not heard, because the song is stopped! (The 0FFE00 command may be temporary.)
0F Miscellaneous Delay/Repeat Note (level 1 = F1-F5)

Delays or repeats a note. Ticks/Line should be set to 6 (the usual value) for these commands to work accurately.

F1 makes a single note play twice in the same line. It is equivalent to 1F0300.
F2 delays the start of a note by half a line. It is equivalent to 1F3000.
F3 makes a single note play three times in the same line. It is equivalent to 1F0200.
F4 delays the note one-third of a line.
F5 delays the note two-thirds of a line.

0000 F-4 50FF100 Plays note F-4 twice in the same line
0001 F-4 50FF300 Plays note F-4 three times in the same line
0002 F-4 50FF100 Same again...
0003 F-4 00FF300 ...

0000 A-6 5000000 A-6 50FF200 An echo effect...
0001 A-6 0000000 A-6 00FF200
0002 A-6 0000000 A-6 00FF200

0000 G-5 9000000 Plays first note in triole
0001 A-5 50FF400 Plays second note (delayed a bit)
0002 B-5 50FF500 Plays third note (delayed a lot)
0003 --- 5000000 Keeps playing third note

0000 F-4 51F0400 A ‘shuffle’ rhythm (plays F-4 twice but unevenly)
0001 F-4 51F0400
0002 F-4 51F0400
1F Delay/Repeat Note A note can be delayed by a particular number of ticks. A note can also be repeated every so-many ticks. The delay and repeat lasts one line.

This is a generalisation of commands 0FF100 to 0FF300. (0FF400 and 0FF500 cannot be emulated by type 1F.)

Level 1a: Initial delay, in ticks, before the note is played
Level 1b: Distance between repeats (e.g. 2 plays the note every 2 ticks, after any initial delay)
Level 2: Ignored

See Above
0F Miscellaneous Jump To Next Playing Sequence Entry (level 1 = 00)

Causes an immediate jump to the next entry in the playing sequence (or to the beginning of the block, if you are using Play Block). It is equivalent to command 1D0000.

It is less memory-consuming to make the block shorter, but this command can be useful as a temporary measure.

0048 A-3 D0F0000 Play note then jump to next playing sequence entry.

0063 --- 01D0300 Jump to next playing sequence entry, starting the block at line 3 (the fourth line, if line numbers start at 0).
1D Jump To Next Playing Sequence Entry Causes an immediate jump to the next entry in the playing sequence (or re-starts the block, if you are using Play Block).
The block in the next playing sequence entry is played from a particular line, given by command level 1.

Level 1: Line number to play from (given in hex as usual)
Level 2: Ignored

It is less memory-consuming to make the block shorter, but this command can be useful as a temporary measure. 		See Above
0B Playing Sequence Position Jump Jumps to a particular entry in the (current) playing sequence.

This allows you to create songs that have an introduction, which is only played once, and a main part, which is continually repeated.

The same effect can be achieved with the Jump To Position playing sequence command, although it cannot occur in the middle of a block. For more details, click

Level 1: Playing sequence entry number, minus one (so entry 1 is level 00) [allowed range: 00-FF]
Level 2: Ignored

Consider the following playing sequence:

0001: 0001: Introduction block 1
0002: 0002: Introduction block 2
0003: 0001: Introduction block 1
0004: 0003: Main block 1
0005: 0004: Main block 2
0006: 0003: Main block 1
0007: 0005: Main block 3

0063 --- 00B0300 Jump to entry 4 (command level + 1)

16 Repeat Lines (Loop) Enables you to set up a repeated section (loop), within a block.

Level 1: 00 to mark the start of the loop
01-FF to mark the end of the loop, and specify the number of times to repeat the section.
Level 2: Ignored

When the loop has finished, the block continues. Loops cannot be ‘nested’. 		0000 C-5 1000000 --- 0160000 Mark start of repeated section (level 1 = 00)
0001 D-5 1000000 --- 0000000
0002 E-5 1160300 --- 0000000 Mark end of repeated section, and repeat 3 times
0003 --- 0000000 --- 0000000
0004 --- 11B0200 --- 01E4000 Reduce volume by 2, and repeat 64 times (to fade away the note from full volume to nothing)
1E Replay Line Repeats the player commands in the current line. Notes are not repeated.

Level 1: The number of times to replay the line [allowed range: 01-FF]
Level 2: Ignored 		See Above
0E Wave/Pitch Sequence Position Jump Samples: This type has no effect

Synthsounds (or hybrids): Wave/Pitch Sequence Position Jump

Causes a jump – a move to a different line – in a synthsound's wave/pitch sequence.
The synthsound must already be playing for the jump to occur. For more details, click

Level 1: Position to jump to, minus one [allowed range: 00-7F]
Level 2: Ignored 		0000 G#6 A000000 Play note for a bit...
0001 --- 0000000 ...
0002 --- 00E0200 ...then jump to line 02 of the synthsound’s wave/pitch sequence. This might, for example, start vibrato or decrease the volume.

NOTE CONTROL

No. Type Description Example
08 Set Hold And Decay Sets the hold and decay values for the note. This overrides the instrument’s usual hold and decay values, for this note only.
For more details, click

Level 1a: Decay value [allowed range: 0-9, A-F]
Level 1b: Hold value [allowed range: 0-9, A-F]
Level 2: Ignored 		0000 C-5 3081400 Decay is 1, hold is 4
0001 C-5 3000000 The instrument’s usual hold and decay values are used here (the previous player command is forgotten)
15 Set Finetune Sets the finetune value for the note. This overrides the instrument’s usual finetune value, for this note only.
For more details, click

Level 1: Finetune value [allowed range: F8 (-8) to 07 (7) – signed hex is used]
Level 2: Ignored 		0000 D-5 715FE00 Finetune value is -2 (FE in signed hex)
0001 D-5 7000000 The instrument’s usual finetune value is used here (the previous player command is forgotten)
18 Mute Note This is almost like hold (type 08), except it sets the volume to zero rather than stopping the note. This means that the note is still playing (although at zero volume), and it can become audible later by changing its volume.

Level 1: Number of ticks to hold before muting [must be less than Ticks/Line, which is normally 6]
Level 2: Ignored 		0000 D-5 7180400 Mutes the note after 4 ticks
0001 --- 0000000
0002 --- 00C7F00 The note is audible again (volume set to maximum)
0F Miscellaneous Stop Note (level 1 = FF)

Stops playing the note. It is equivalent to the special note STP (entered using Shift+S).

When used with non-MIDI instruments, it is nearly like type 0C with level 1 = 00. However, 0C0000 sets the note’s volume to zero, while 0FFF00 stops the note completely. See the first example for more details.

0000 C#5 2000000
0001 --- 20FFF00 Stops playing note C#5

0000 C#5 2000000
0001 --- 20C0000 Sets note C#5’s volume to zero. It seems to stop playing...
0002 --- 20C7F00 ...but it is now heard again, at full volume! (This cannot be done with 0FFF00)
0003 --- 20C0000 The effect continues...
0004 --- 20C7F00 ...
19 Sample Start Offset When playing a sample, this command sets the sample’s starting position. For details on setting the command level, click

Levels 1&2: Sample starting position, multiplied by 256 [allowed range: 0000-FFFF] 		0000 D-5 619003A Plays the sample from position 3A00 hex (14848 decimal). Thankfully, such levels can be found using the sample editor!
0001 --- 0000000
0002 --- 020FF00 Alter the current playing position of note D-5, 256 bytes backwards. This causes a stutter. (Use Insert Command into Song to set the command level.)
0003 --- 020FF00 Keep stuttering...

0004 --- 020FF00 ...
0005 D-5 0290102 Play the sample from its middle. It has been divided into 2 equal sections (the 02), and it is playing from the second of the two sections (the 01).
0006 --- 0290102 Has the same effect as the previous line
0007 --- 0200000 Play the sample backwards (from finish to start)
20 Reverse Sample If command level is 0000: Reverse Sample

Command 200000 plays a sample backwards.

If command level is not 0000: Sample Offset

Alters the sample’s playing position, while the sample is playing.
For example, the sample might currently be at position 50000. Command 020100 will immediately skip forward 256 positions, to 50256.

Level 1: Number of positions to skip forwards or backwards, multiplied by 256 [allowed range: 80-7F, in signed hex]
Level 2: Ignored.

See Above
29 Relative Sample Offset When playing a sample, this command sets the sample’s starting position.

It divides the sample into a number of sections of equal length. The sample is then played from a particular section.

Level 1: Play sample from this section. 0 is the first section (the very start of the sample).
Level 2: The number of sections you would like in the sample. Each section is of equal length.

See Above

Written By Ed Wiles / HTML Conversion by Ben Baker
(c) Copyright RBF Software

Copyright© RBF Software. All rights reserved.


ABOUT MED
NEW TO MED?
MED COMMANDS
COMMANDS 2
MED KEYS

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4| Advanced (utilises MIDI)

MED FAQ - PAGE 1

Translate These Pages at: Babelfish

If you are having problems (playback stutters ), please

read the Preventing Stutters advice on FAQ page 4.

The Most Frequently Asked Questions

MED Player Routines For Programmers

Hardware Requirements

Tell me about MIDI Support

Drum - Reverse Loops (Download The Demo)

Drum - Beef them Up (Download The Demo)

The MED Filter Effects (Download The Demos)

Stereo Panning (Download The Demos)

How do I Re-synthisize a Sample?

Plans For Other Platforms

OUR MOST FREQUENTLY ASKED QUESTIONS

When I add an extra track to a block, no sound will come out

"It is an amazing program with a lot of flexibility, however I want to add 5 extra tracks (which is easy to do), but when I place an instrument/sample into the new tracks no sound will come out of them when I select play.
Everything still plays fine on the 4 basic tracks, it's just the added ones that are the problem. Is there something I am missing??

Well yes :)

You need to add your new track to the max number of channels to enable it.

Go to the "Song" menu and select the "Song Properties" and in that window, look for: "Max Num Of Channels" and then set the number of channels you want.

In your case, as you have added five new tracks, you need to set the Max Num of Channels to nine.

How do I alter the tracking window editing colours?

Simple, open the Settings/Display from the program menu and have fun altering the colours to suit.

"I saved a file as an '.exe' (also same for a .mid), and it saved as a .med file and now it won't load into med"

If you want to save a .med file as an executable, then before selecting to save as an exe (or mid), you MUST alter the filename extension manually from whatever.med to .exe (or .mid) as the file extension is not automaticaly re-named in MED v1.xx "How do I stop a song from looping and starting to play again" Whilst in edit mode, Use the 'stop play' from the command insert function.

Can I use the MED player routines in my own programs?

Yes, that's what they are for. MED routines may be freely used, without a licence/payment etc., in public domain, (free) programs. A licence is required from RBF Software only if MED routines are used in software that is SOLD (see the documents accompanying the developer support files).

Go to the Free Downloads area of this web site and download the "Developers Kit" for full details. ( in C++ format )

Back To Top Of Page

OS and hardware requirements.

The PC version of MED Soundstudio is written for Windows 98 and the following releases, ME - Windows 2000 - XP. For proper and BEST operation, the latest Windows version release is always recommended with an absolute minimum P200 or equivalent, a DirectSound supported sound card, (Soundblaster Live for instance), also, whilst MED will run under the previous Windows 2000 version called NT 4.0, it can only use DirectSound 'emulation' due to lack of directx support and because of that, large latency times occur, which will make it uncomfortable to use and MIDI output doesn't work properly.

( Additional Info ) The situation with the NT4 problems has been eradicated with the release of Windows 2000 as just like the Windows98/ME versions, it has the latest DirectX with support for native DSound drivers instead of emulation and now runs smooothly.

A Windows-supported sound card (with good DirectSound drivers), an 8-bit card should work, but a 16-bit one is recommended, 32MB is the ABSOLUTE minimum memory anyone should contemplate and if using the latest Windows releases, it would be best to have a minimum of 64MB!

More information about the sample side...

MED uses Microsoft's DirectSound API for achieving low-latency digital sound output. It will support both 8 and 16 bit mono and stereo samples with track panning. Audio mixing frequencies of 11, 22 and 44 kHz are available with optional interpolation.

It's also possible to save the module as a large sample file for e.g. direct transfer to CD. There are also optional DSP effects available, which can be applied to groups of tracks or all tracks, the effects include echo, stereo separation and LP/HP filters.

Back To Top Of Page

Tell me about MIDI Support

I intend to give Midi priority as sound cards today have good Midi support and using Midi takes a big load off the machine. MED requires some rework to more completely support MIDI. These changes will be implemented in the next Windows V2.

Does the PC version of MED support existing Amiga 'Octa'MED files, (MMD0/1/2/ST etc) and IFF samples, with simple'CrossDOS'ing?

Yes. The PC version will load existing Amiga 'Octa'MED modules directly and will also load MODs,S3Ms, IT (normal and compressed ), MIDI files, as well as XMs. it can also unpack meds that were saved out with the Amiga versions 'powerpacker' compression. All significant sample formats will be supported as well.

Is there a FREE player?

Yes, the freeware player is on the site now It is limited to support of the MED format as there are already lot of good players supporting the .med file format , ( WinAmp, MidWavi, IrfanView), with more to come. If you want your favorite player to include recognition of MED files you are welcome to ask the author to download the "Developers Kit" with the required libraries, from the Free Downloads area of this site.

Why no external sync?

Cuz' it wasn't designed in from day 1. Sync is derived from the output sound device, rather than from an external source. Only a complete overhaul of the sound driver routines can remedy this. ( intended for the next V2 release.)

What is wrong with XM format, they don't always play properly

XM's use features that are not supported by the basic MED engine and it is impossible to accurately reproduce all XM's without extending the MED format itself and we hope to sort this problem by the time V2 is released.

Why doesn't MED have all sorts of flashy gizmos?

MED SoundStudio isn't intended to be a toy, the emphasis is on adding features that are needed, not on eye-candy. Having said that I do intend to put a lot of work into improving the UI, making it more standard and easier to use.

Back To Top Of Page

Reverse Drum Loops.

Creating a reverse drum loop in time with the rest of the beat is quite simple. Getting the timing right is sometimes the hardest part. To do this in MED I simply loaded in a loop (at 100bpm's), changed the tempo to 100bpms and then placed one at every quarter (1 - 16 - 32 - 48) and then on track two at 15, I inserted the same loop but then put the reverse command on it (the reverse command is 20):

Note: the reverse command does not work when you use the '44k', '22' and the '11k' commands. So until V2 arrives, down tune the loop by minus 2 to compensate by going into the samples properties.

( zipped MMD file - 332 KB)

Back To Top Of Page

Beef Up Your Drums.

Using your BPM, calculate the fastest echo then enter it into your FX (all will be explained in the demo) Now, select 2 tracks. Leave one track unadulterated but assign the other track with the fast echo. Enter the loop on BOTH tracks and listen to how they now sound 'more' alive. Easy, and simple.

*( zipped MMD file - 122 kb)

Back To Top Of Page

Filter Effects.

Getting to grips with the filter on Sound Studio has baffled a lot of people. It's actually quite simple though. Once mastered, the effects that can be gained are pretty cool to say the least.

It is easier if you set up "2" tracks for the filter effect and a third for the sample that you wish to use (or loop). If you prefer to skip this and go straight to the demo (downloadable MMD file - A MED file) to see how it works, then download the zipped MMD file below.

First, decide what tracks you want to filter (in this case, tracks 3 and 4), enter the notes to play a basic pattern.

Now go to "Song>>>Effects" and selected "Append" (this gives you another assignable effect because it's best to leave the original "Global" effect alone).

Select "Echo Type" as "Cross Echo", changed the "Echo Rate" to suit the BPM (which is 140bpm) and then chang the "Echo Depth" to "50%" (max).

The final selection is the "Stereo Separation" put it at "4" (max). Give it a name, say, "Echo for Filter". This gives that effect a stereo delay which enhances the sound. Now for the tricky bit. After clicking "OK", return to the tracker page and then go to the small box at the top of tracks 3 and 4 and select "Echo for Filter" and on tracks "4 and 5". On track 5, select 0000 to 0032 -[[**Quick tip - at 0000, hold the left mouse button down to select and then press F7 - this will take you half way down the pattern]].

For this example use filter number 24 (go to "Tools>>>Generate Slides>>>[24]Set Filter Cutoff Freq and entered in the start "800" and to finish at "001". Now do the same routine from 32 to 64 but reverse the settings "001" to "800".

This creates a low frequency build up to about 25% then decreases again at the halfway point.

Next, on the next track use filter number 25 (go to "Tools>>>Generate Slides>>>[25]Set Filter Cutoff Freq and entered in the start "3000" and to finish at "001".

Change the effect type to "1" and do the same routine as before (select halfway etc and then reverse the settings), this creates a "reso" filter effect and that's basically it.
Feel free to experiment with the settings.

*( zipped MMD file - 231 kb)

MED Filter Command 19 Sample Start offset:
(Can only be used on Samples, not with Midi nor Synthsounds)

Explanation: Normally, when MED plays a sample, it is played from the 0 (the start) position of the sample. But with the use of the Command 19, the user can alter the starting position of any given sample. The Command parameters: Pos Note Inst CMD Value 01 C-5 01 19 0012 (this value is in HEX form) the Value can be from 0000 to FFFF (depending on the actual length of the sample). Value : Unlike some of the other CMD's, this doesn't use a level 1 & 2 value, but instead it uses all the 4 digits as its total value. As in the example case, it uses a value of 0012. To find the relative position in the sample itself, the sample start offset value has to be multiplied by 256. i.e.12x256=3072, this will give the true sample starting offset on that note position, now starting at 3072 bytes into the sample, instead of 0. So if the sample length is 64300 long, then, MED will play this sample at 3072 to the end of the sample at 64300. (the sample offset cannot be larger than the sample length! or unhappy things happen lol) How to use: To get a nice sweeping sound, choose a sample that starts with a lowpass filtered sound and that ends with a highpass (in otherwords, dull, muffled sound to a bright, sharpened sound), Insert the notes you wish to use as normal and then, enter the type 19 CMD onto each of the notes, increasing or decreasing the Value for each note. To get a sweeping up effect, start with a low value and increase the value up with each note, to get a sweeping down effect, start with a high value and decrease the value down. To control the speed of the sweep, depends on the value between each note, for faster sweeps, use a larger value between each note and, for longer sweeps, use a shorter value between each note. To add life to the sample: Add a touch of delay and/or to add panning to the note on the track!

*( zipped MMD file - 265 kb)

Back To Top Of Page

Stereo Panning
(This is the easy way)

Select two tracks (1 and 2) and then go to "Song>>>Track Properties" (brings up all the tracks in a new window with volume and panning sliders).

Now use the "Pan" slider on track 1 and slide it all the way to the left hand side.

Do the same to track 2 but take the slider across to the right hand side.

After returning to the tracker page enter a sound on track 1 at 0000 and the on track 2 at 0002 (just to show the effect).

*( zipped MMD file - 1.75 kb)

Panning with the "2E" effect.
(Note that Using stereo panning can create dynamics within a song or tune!)

This demo is a basic little tune with a stereo panning effect on the bass line and also includes another filter (number "24") to reduce clicks on the sample (reduces the band pass to a lower shelf), more about this later, including how to use it to full effect.

First, enter the bass line onto track one, then select "0000" to "0008" (holding down the left mouse button and keeping it held whilst using the down arrow key until I got to 0008).

Now go to "Tools>>>Generate Slides" and select the last one "[2E] Track Pan".

In the "Start" side, enter "-16" into the "Pan Position" box and then in the "End" side, enter "16" then click on "Generate Slide".

Select "0008" to "0016" but enter the opposite ("16" in the start - "-16" in the end) and repeat these two steps until the end of the block.

What this does is to create a stereo panning effect.

Notes:
1) This works better with Mono sounds
2) Using the stereo command can inadvertently increase the samples volume and it is recommend that you adjust the samples volume level before doing this.

*( zipped MMD file - 64.2 kb)

Multi tap delays

Use the 'pan' (2E) and 'volume' (0C) commands to generate panned multi tap delays. It goes faster then to tweak the effects processor to get it in the rhythm when you add a slight little "hall or room effect" to it, then you have the same as a real multi tap delay . Once this is done I mix down the whole thing into one huge sample (the length of a block) and repeat that note as long as it has to play!

Back To Top Of Page

Why no MP3?

We have been inundated with requests for MP3 encoding to be included within the program, however, due to the present high licence fees requested by the copyright owners it would put the price of our program out of the reach of the majority of our potential users and this is just not acceptable.

We are hoping that by the time V2 is released, the MP3 copyright owners will have come to an arrangement with RBF Software and we will be in a position to offer this feature without having to pass the copyright/royalty fees onto the customers. However, note that as of V1.4, MED offers the ability to make use of the WinAmp MP3 *out* plugins instead. On top of that, the MED menu also points you to a download link, 'dbpoweramp' which is a very good MP3 encoder and is truly easy to use.

How do I Re-synthisize a Sample?

MED can do cool things like re-synthisize samples!!!

I Tempogrid, will teach you the secret of the sample re-synth!

Firstly, I would like to thank James, your "under the bonnet" changes to MEDvs1.7a included a
fix to make a synth "wave" read by the ENV2 (volume envelope)command the right-way-up,
so bottom of the wave is 'no volume" and top is "full volume". cool.
(lighten up windows background if black...to see the wave...as "black on black" bug in synth editor)

I found, the best way to percive this is to set TEMPO @ 32ticks/line and 32lines/beat.
1. create a hybrid instrument. u can load in any sample.
2. create several "new waves", insert a sinewave primitive shape.
3. "double" sinewave. (so that you have 2 smooth waves in 128bytes)
4. shift wave so that start of wave is at the bottom. copy 2 buffer.
5. goto next wave, copy from buffer, double again.
(so that you have 4 smooth waves in 128bytes) repeat process 3 or 4 times.
6. set both volume and wave sequence speeds to 1
7. now enter this code into synth editor "wav and volume sequences"....

volseq wavseq
40 HLT use HLT in 1st line of volseq for smooth playback but no key-in
ENV2 JVS
01 01
HLT HLT HLT or halt is to stop the sequence ENV2 "loop" keeps on playing
ENV2 JVS
02 04
HLT HLT HLT helps you to see better.....
ENV2 JVS
03 07
HLT HLT
etc... etc... for as many looped volume envelope waves as you want 2 use.

ok so thats your hybrid instrument set up.
Remember this sequence is an example ONLY. 2 get u started. Artistic discression is advised.
(note: 1 can draw ENV2 "live")
Remember to save your new synth/hybrid instrument for future use.

8. using command 0E in the "main tracker window", one can choose any "synth sequence entry point"
to address our custom volume envelope waves (ENV2's) to attenu8 the note's volume. this is fun.

9. use gener8 slide to give every line a new "start-play-position" address with command29.
if you have 32 pixels per wave (4waves) in your currently used "synth ENV2 wave" AND you have 32
Ticks per line, then you should notice that sound starts from zero, curves through full volume and
returns to zero for every line = Bouncy volume, no clicks at re-addressed linechanges.

10. re-synthesis..this will take 2 tracks next to each other. the tricky bit. highlight the
command 29 track AND the next track over. use "spread notes" from the drop-down
menus to double-space consecutive start -play-positions over 2 tracks.

11.enter a note on BOTH tracks. next to the notes; use a 0E command that asks for a "ENV2"
that has 64 bytes per "synth wave"(2 smooth waves in 128bytes), this means we have
1 smooth wave transition every 2 lines. It also means, one tracks volume is going up,
whilst the other tracks volume is going down!!! ENV2 waves that cancel each other out.

Ahh...DONE!!! 2track "crossfading" for sample re-synthisis!! @ solid 16bit resolution.
of course, one can use different synth seq structures and tempo-grids.
127 bit "rubber pan" is only a step away......

If you understood this: then you can use it, cos you're smart.
Remember ...I'm the sorta guy who can run 15-20 command pages worth of code per block then
mix it in with the original at one of my mobile dj parties and get the crowd cheering me on for it!!..
I have no midi so i exist with code.

Let me know if you use/like this technique. have some fun with it.
thanx again James 4 making MED's "synth" easier for me to get my head around.
Tempogrid.

If you would like to ask Tempogrid anything else on this subject, join the MED Support Forum

Back To Top Of Page

Are there plans to port MED for Mac/PPC/Linux/A\Box/whatever?

As soon as MED V2 has been released we intend to start work on a MAC version. The windows V2 of MED must take priority as we intend to add a great deal of new additions to the next Win V2 which will satisfy not just the tracking enthusist but also those users who want full sequencing facilities as well. Eventualy, ( no timescale can be given ), we will also offer a Linux version as well.

Back To Top Of Page

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

Top of Page

Copyright© RBF Software. All rights reserved.


Link Below only Available On-Line
MED SUPPORT SITE

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

MED FAQ - PAGE 2

Moving old Amiga mods to PC

Moving packed Amiga mods to PC

Audio Playback Problems

Default Pitch Problems

MED Users Guide To MIDI

Add Four New MIDI Ports

Higher Quality Drums

Boosting WAV

Moving old Amiga mods to PC

You have two options. You can obtain a copy of Crossdos or a similar program for your Amiga. With this software your Amiga will be able to read 720k PC floppies. You could then copy your Amiga floppies to pc formatted floppies on your Amiga. If you have a harddisk on your Amiga, you may want to look for TWIN software. It works like this: You fit a null modem cable from your Amiga to your PC, then run the TWIN PC version on your PC and the TWIN Amiga version on your Amiga. Or get a copy of the program I use called 'PC2Am' which you can find on Aminet... You'll need a parallel/serial cable as well, but I find it the easiest to use. You will then be able to access harddisks at both sides and, copy/move date across.

Back To Top Of Page

Moving old packed Amiga mods to PC

Powerpacked modules will be loaded correctly, however, if you packed the Amiga version with the SFCD or SFHD format, support for those formats was not possible within the PC version and you will need to download the MEDunpack program from here: MEDUNPACK (includes source)

Back To Top Of Page

Audio Playback Problems

If you are experiencing clicks in your audio, or any other sound problem, here are some tips which may help you:

1. Make sure your sound drivers are the latest available. Most sound card manufacturers frequently update their sound card drivers to fix bugs or audio playback problems. They will also occasionally have their drivers tested by Microsoft, and if their drivers pass, they become Microsoft Certified. The best driver you can use for your sound card will be the most recent, and Microsoft Certified. If you are having trouble finding the most recent drivers for your soundcard, try: CNet (download.com) drivers or driverguide.

2. Ensure your video card drivers are also up-to-date. Because MED Soundstudio scrolls a lot of data across your screen, having the most recent video card drivers is also important. There are known problems with some older models of Matrox cards, but most video cards are fine. The best drivers to have are the Microsoft Certified drivers. Just like the sound card drivers, if they are up-to-date, they will be Certified for DirectX .
3. Installing the latest DirectX available allows MED to interface quickly with your video and sound cards. You can obtain the latest version of DirectX from microsoft.com/directx.
You may also wish to install the latest version of Direct Media which is also available from the MS web site.

If you're having problems playing audio in another program wile MED is playing, go to Start Menu > Settings > Control Panel > Multimedia, and make sure you have 'Use Preferred Devices Only' checked. This means all of the sounds in Windows will be directed through the Preferred sound Devices. If you have the latest version of DirectX installed, then all sound will be routed through the DirectX sound drivers. This way, MED can play sound simultaneously with other sound programs, because DirectX has built-in sound mixing routines, which allow many programs to play sound simultaneously.

4. If using Windows NT : Windows NT has a problem inasmuch that it does not support higher than DirectX 3.0 natively. The result of this is that MED will not run to its full potential. There is, however, a hacked version of DirectX 5.0 (for Windows NT) floating around. This is not a Microsoft product and should be used with great caution and at your own risk. It has been known to fix problems with sound programs (including MED), though. You might find it by searching for it on any reputable search engine.

To summarise: To access your sound and video card, or any part of your hardware, Windows needs the appropriate software loaded. Using DirectX allows Windows to access your hardware more directly (hence the name), yielding greater performance. If you are serious about writing music, it can be important to make sure your computer is stable, reliable, and as fast as possible. One way of doing this is by making sure Windows has the latest and most accurate drivers loaded. There are many resources on the internet on how to increase the performance and stability of your computer. To my mind, any tradesperson who is serious will learn the peculiarities of their tools; and computers are no different.

This FAQ submitted by our beta tester: orpheus (Sam)

Back To Top Of Page

Problems with default pitch

if you have samples in your song playing at DEF, then save it, and load it again, rarely do they play at the correct pitch. this is because med is not saving or loading the 'default pitch' value in instrument properties correctly and although this is being fixed for V2, you need a work round now!, here is some help from boz, (Alistair).

The "DEF" note points to the "default frequency" field in the instrument panel. At first glance, you might assume that this field is directly editable, but it isn't! Imagine the scene... you've just "acquired" a brand-spanking-new sample... from a CD let's say, or from a nice friendly free-sample web-site. This sample is typically going to be at 44,100Hz, the standard for "CD-quality" samples (I had it explained to me once... something to do with the human ear having a hearing range of 22KHz, and you double it to allow for anti-aliasing or something as technical as that). Unfortunately, as far as your music-editor is concerned, 44.1KHz isn't a "standard" frequency for a typical musical note. The actual nearest frequency is 44701Hz, or "F-6" as it's known in MED. Orpheus (bless 'im) anwered one of query, in that a "workaround" to this problem is to not use the DEF note, but to use F-6 instead, and then put -2 (minus-two) into the finetune field of the instrument. This way, when you save the module and subsequently re-load it, it will sound the same, according to the song-tempo you've chosen. There are other ways to overcome the problem, like slightly adjusting the song-tempo, pitch-changing the sample etc etc.. As said, V2 will have this problem sorted but the best advice is Orph's... use F-6 (as opposed to DEF) and finetune by -2. You could, of course, manually resample in another sample-editor.

Back To Top Of Page

MED USERS GUIDE TO MIDI

By Andy, The Author Of MED

MIDI support in MED is somewhat complex, partly due to MED's flexibility and partly due to the inherent complexity of MIDI itself.

A lot of this is dealt with in the excellent online documentation, but I thought I would take an independent stab at describing the MIDI system.

This guide attempts to clarify only the more basic MED related MIDI issues. To learn more about MIDI in general, there are plenty of guides on the net. The overall structure of MIDI is that there are "ports", each port can send data to a number of "channels". MIDI devices, such as a synth listen to a channel (or channels). A MIDI device will, in turn, trigger a particular sound (often termed a "voice" or "patch").

Since there may be many voices (my synth supports 692 built-in voices) supported by a device, devices organize the voices into banks, each bank containing up to 128 "programs" (also known as "presets"). Let's explore this a little more...

PORTS

A port *roughly* corresponds with a connection, or piece of wire such as the DIN socket on a sound-card. Of course since we are dealing with computers some the equipment is not physical at all. Most sound cards support a built-in synth, which ends up being addressed by a port. Ports from a Windows point of view are also classified as input ports, or output ports. An input port is used when an external source sends MIDI into a program such as MED. An output port is used when a program sends MIDI information to a port.
Input port -----> MED ------> Output port(s)

In general Windows can support multiple input ports and multiple output ports.

INPUT PORTS

A limitation of MED is that it only supports one input port (although it can use multiple output ports). To review the input ports on your machine go into MED and open up MIDI Settings under the MIDI menu. The third pulldown is reassuringly called "Input Port", check it out, in my case I only have one input port called "SB Live! MIDI UART" and this corresponds with the input on my Soundblaster Live! sound card. If you have more soundcards, you will see more than one entry. You can only pick one.

To set up MED for MIDI input, follow these steps:

(1) Go to MIDI/MIDI Settings and pick the port (input port) you wish to use.
(2) Go to MIDI/Input Active and make sure it is checked

Once that is done the current instrument should be playable using a midi keyboard plugged into the input port. Pretty simple huh? Well hang onto your hats because things get much more complex for output ports...

OUTPUT PORTS

There will almost always be more than one output port... and the first one is the most complex! To see this list pick the "MIDI Port Map" from the MIDI menu. This dialog is probably the cause of MUCH confusion in MED. for now just check out the pulldown combo box at the bottom of the dialog which is labelled "Current Assigned Port".

Take a look at what is in that list, but be careful not to select anything yet! For me the list contains:

Unassigned
Microsoft MIDI Mapper
A: SB Live! MIDI Synth
B: SB Live! MIDI Synth
SB Live! MIDI UART
Microsoft GS Wavetable SW Synth

Initially the list above the combo-box contains a similar looking list, except it doesn't start with "Unassigned". Don't worry about that list quite yet.

Except for the first entry, the dropdown list is a list of possible output ports that Windows supports. The order depends on how Windows sorts the list but should always start with Microsoft MIDI Mapper, which isn't a real port at all! In my case my SB Live! supports two built-in MIDI synths (A and B), these are built into the sound card, it also supports a single real external port, that you can plug your own synth into, look for the word UART which you saw on the input port as well. The word UART refers to the bit of hardware on your sound card that can send or receive serial data. Finally, the entry "Microsoft GS Wavetable SW Synth" refers to windows own capability to generate MIDI sounds, without the specific MIDI support of the sound card. If your sound card does not support MIDI output directly, you should still see this entry. It actually uses the normal WAVE output port to play.

Another more basic way to review the output ports (especially if you have reason to doubt MED!) is to go into the windows control panel and choose "Sounds and Multimedia". On the Audio tab the last pulldown, uder "MIDI Music Playback" should contain the SAME LIST, without the "Unassigned" or "Microsoft MIDI Mapper" entries.

The MIDI port "Microsoft MIDI Mapper" is not a real port at all. I recommend you don't use it. Future versions of MED will probably present this choice in a different way. The MIDI mapper is a kind of virtual port that can route and transform your MIDI output to a number of ways based on Channel, Port, Patch, Key and Volume. Again, unless you want majorly confusing things to happen I advise against using this infernal thing.

Now you understand the types of real physical ports you may have access to it's time to return to the "MIDI Port Map". When MED references a MIDI port it uses a simple number (1, 2, 3 etc.). Originally this number directly corresponded to a physical output port, but this can result in difficulties when a MED tune is moved from one machine to another.
As an example consider two computers, mine and yours. My computer has the physical list:

1) Microsoft MIDI Mapper
2) A: SB Live! MIDI Synth
3) B: SB Live! MIDI Synth
4) SB Live! MIDI UART
5) Microsoft GS Wavetable SW Synth

Your computer could have the physical list:

1) Microsoft MIDI Mapper
2) El Cheapo MIDI Synth
3) El Cheapo MIDI UART
4) Microsoft GS Wavetable SW Synth

This is quite possible since, although I am outrageously rich from all the sales of MED, you are presumably very poor after having had to buy a copy, and all you could afford was the "El Cheapo" card that only has one built in MIDI synth.

If I now compose a song using "B: SB Live! MIDI Synth" and send it to you, you would end up playing it on "El Cheapo MIDI UART", since that is port 3 in both cases. This would mean that unless you had an external synth, you would hear nothing. Worse still, compose to port 5, the "Microsoft GS Wavetable SW Synth", you don't even have a corresponding entry, which will result in an error.

To resolve this mess (some may contend an even bigger mess was created to take it's place!) The MED number is actually a "logical" number, and the relationship between "logical" numbers and physical ports is controlled by the "MIDI Port Map". This map is maintained using the "MIDI Port Map".

Initially the map is a kind of "do nothing" thing because the default is for virtual port 1 to map to physical port 1, for virtual port 2 to map to physical port 2 and so on. To meddle with this map pull up the "MIDI Port Map" and take a look. The upper list is in order of virtual ports.

To change the mapping for a particular virtual port, select the entry you want to change, then pull down the combo below and pick the physical port you wish to map to. Through use of the "unassigned" entry, it is possible to map a virtual port to nothing, this is a kind of black hole for MIDI and nothing will play on this port.

INSTRUMENTS AND DEVICES

These concepts are very specific to MED. MED plays instruments, which may be of three basic types, Sample, Synthetic or MIDI. A sampled instument plays a sample, resampled to get the right pitch. A Synthetic instrument uses a built-in sound generator.

The case we are interested in here is a MIDI based instrument, which ends up generating MIDI information and sending it to the appropriate port and channel (or channels). Try bringing up the "Instrument Properties" dialog and use the "Instrument Type" radio buttons to select MIDI.

The "MIDI Properties" area of the dialog now becomes enabled. This is where you can select the logical port this Instrument will send on. The "Output Port" pulldown selects this. By using this pulldown the port to send on is selected explicitly.

Remember that from a MIDI point of view a specific channel should be used, so the "Transmit Ch" spinner selects that.

So given this, what role does the "Device" pulldown play?
Devices are an attempt by MED to convert the specifics of port and channel into concepts the user is presumably more familiar with. If you feel more comfortable specifying everything in terms of port and channel, you do not really need to mess with MEDs device support.
Consider a real situation where you may have three different synths. Each one can be referred to as a device. Each synth may listen on one or more channels on a particular port (probably the UART port, since these are external devices). To save having to remember the port and channel, there mappings can be specified once through the "MIDI Patch Names" dialog. In this dialog you can name all you physical devices (Append New or Insert New) and specify the port and channels this device uses. If you do all that once (you can save the list to disk) then when setting up the instrument you can select a device name instead of directly specifying a port and channel.

BANKS and PRESETS

A bank is a way of making a set of up to 128 voices available.

There may be up to 16384 banks. Because there can be so many banks it is common to specify bank numbers in two parts, referred to as the MSB and LSB. The astute will recognise 16384 to be 128 x 128, so each number can range from 0..127. The notation MED uses is to display the bank number as a single number, 0 to 127 for small bank numbers (when the MSB is 0), and to use a separating "/" for larger bank numbers (MSB/LSB). As an example, the bank number after 127 is shown as 1/0. To get the actual bank number take the first number, multiply is by 128 and add it to the second.

A couple of bugs in MED make this a little odder. MED actually allows 128/0 to be specified, don't do this! Also the edit field is too small to show a large number (such as 100/122 correctly, you may have to scroll the edit box!

The preset (more correctly termed program number) specifies one of 128 possibilities within a bank. Theoretically a single channel could address up to 16384x128 voices, that is over 2 million possibilities! This is quite rare, so in practice only a subset of the available banks are used.

For example, my synth only allows the values 0, 64, 126 and 127 for the MSB, these correspond with "XG Normal", "SFX Normal", "XG SFX Kit" and "XG Drum".

Since each selection of bank and program corresponds with a voice, and the assignment of these voices can vary widely, MED allows these combinations to be named, and the names to be stored. MED calls these "Patch Names" although I would prefer the term "Voice Names". This is done through the "MIDI Patch Names" dialog. Because of the madness of all these different mappings, some standards exist. MED supports two standard mappings, GM or XG. GM is short for General MIDI, which most synths support, XG is an superset of GM which, (for example) Yamaha support.

Going back to the "Instrument Properties" dialog, you can specify banks and presets by name rather than explicitly by number.

MIDI PROPERTIES - INPUT CHANNEL

There is a field on the MIDI PROPERTIES dialog called "Input Ch".

Oddly this is enabled even for non-MIDI instruments. This is because this is only used for incoming NOTE ON messages. The channel the NOTE ON is for is used to determine which instrument to trigger, which could easily be a sample.

The value for this field is 0..16, MIDI only supports 16 channels so what is up? The answer is that the special value 0 means listen on ALL channels, 1..16 means a specific channel, 0..15.
Since the sample value can be set for multiple instruments, a selection process is used to determine the appropriate instrument to trigger.

The following tests are made in order, the first to succeed determines the instrument to play:

(1) First the "current" instrument is checked, if it listens to a specific channel, and it matches, that instrument is triggered.
(2) Check all the instuments for a specific match. The first found is selected.
(3) If the current instrument listens on ALL channels then the current instrument is selected.
(4) Check all the instruments for one which listens on all channels. The first found is used.

If none of the steps succeed, the current instrument is used by default.

MIDI THRU

There has been a lot of reports that MIDI THRU does not work, this is unsurprising for two reasons.

Reason 1: I interpreted this as the need for ALL data coming to the selected input port to be forwarded to the selected THRU port (see MIDI Settings for these values). It is possible this is not what it should do!

Reason 2: More fundamentally, under the covers this uses the Windows call "midiConnect". The first parameter is the selected input port, the second is the configured "thru" port (on the "MIDI Settings" dialog). I expected this to do what I wanted, simply pass all data flowing into the input port, directly to the thru port. Reading the Microsoft documentation another way, it is possible that this actually re-routes all data sent to the thru port, to the input port! Since this makes no sense to me, V2 will probably stop using this bit of Microsoft black magic and instead will explicitly connect the ports.

Back To Top Of Page

Loopback Gives you 4 New MIDI Ports

If you download and install Hubi's Loopback from: Hubis it will give you 4 new MIDIports called LB1 - LB4. You set your MIDIprograms to send to one of these instead of the actual MIDIport. You can make the virtual Loopback port send to the actual MIDIport instead. Why bother?

Because up to 4 programs can send to the same virtual port at the same time without colliding.

The actual routing is made with a program that ends up in your Hubidrawer called: HWMDCABL.EXE

Start it and right click on it and you get a patchbay window with the inputs to the left and outputs to the right.

You have to start another instance of the program again to make another patch.

There are instructions on setting things up, but it 'is' a matter of trial and error to get it to work the way you want it to!

If you try it and have problems, ask in the closed reg user mail list.

Back To Top Of Page

Higher Quality Drums

The art of good tracking starts not with your song or with the notes you enter, but more importantly the samples you use and there is one way to increase the quality of the drums samples is in MED itself. By using the 44mhz ( 'shift+4' ) function, the drums in your song will become much clearer and smoother in many respects. What this does to your sample is to play it back at the same frequency rate as a CD music disk. First of all, all your drums should be sampled at a rate of 44.100hz, 16 bit and either mono or stereo, tip - the bass drum or toms can in this case be down sampled to 22.050hz and will still sound really good at the 44k function in the play back and also this will reduce the overall size of the samples. What this does is the drums instruments like hi-hats and cymbals will become much clearer at this rate and also will be played back at the correct speed too. To enter a 44k note within your song is quite easy, place the cursor at the place you wish to enter your note and instead of pressing the desired key, use the keys SHIFT + 4 at the same. If you have done this correctly you should see 44K in place of the the usual C-5 type note and then just continue to do the same for the rest of your drums within your song. Note: This 44k function only really works on drums and not really any other instrument. You can use other frequencies other than 44k these can be 22k and 11k use the following keys to produce those frequencies: Shift + 2 for 22K Shift + 1 for 11K But you will soon notice that these frequencies produce lower quality results.

Back To Top Of Page

WAVE Boosting

Another simple tip to get the most out of your samples!
(Works better with 'MONO' sounds)

Simply load in a mono wav and click on 'Instrument Properties' and then convert the sample into stereo (see image). Exit this menu and then open the 'Sample Editor' and select one side of the sample (the choice is up to you - if you don't select a side, it will automatically select the top half of the sample by default) Once it's highlighted (this is done by holding the 'left mouse button' down and scrolling to the end) go to 'Edit' and then select 'Invert Phase'. This will 'flip' the sample over (turns it upside down) and boosts the overall sound. It also 'spreads' the sound too and creates a 'sort-of' cross over effect.

You may need to turn the volume down a bit on the inverted sample because of the boosting effect.

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

Top of Page

Copyright© RBF Software. All rights reserved.


Links Below only Available On-Line
MED MUSIC FILES
16Bit SAMPLES
8Bit SAMPLES

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

MED FAQ - PAGE 3

More About Filters

Removing Clicks

Setting a filter and echo on same track

Can't Stop When Recording a WAV

Make it sound LIVE!

Updates And Bugs Fixed

Using Those Filters

The command 025E001 sets the resonance of the filter and the type. The last digit is the type, ie.,
1 = Hi bypass
2 = Low bypass and 0 = the original.

The E00 part is the resonant frequency, 000 is nothing with FFF being trippy. The best thing to do is to experiment with the settings until you find what suits, however, you won't hear the difference until you start using the 24 - 23 commands.

You are advised not to make use of the 24 command unless filtering basses so that you don't get that annoying click.

For sweeping, the command is 0230004.

Note that in the present V1.x, frequency sweeps can leak memory on some setups and shows up when you start to record a track.

If it contains a lot of frequency sweeps then whilst recording to WAV, you may find that pressing the STOP RECORDING button no longer functions.

The recording will take place as it should, but Med will become unresponsive due to those leaks and one way around this is to load up some small executable, ( like Notepad ), before you commence recording to WAV. Then, when you hit the STOP RECORDING button, if it doesn't work, simply press Ctrl-Alt-Del and then close Notepad via the task manager window that has opened and as this releases some memory, you will now find that you are able to press the STOP RECORDING button!

We will have this Windows phenomena well and truly fixed by the release of V2!!!

Back To Top Of Page

Minimising Clicks Using Filters

You can use a filter to minimise clicking from bass samples.

As one bass sample truncates another, or has an abrupt volume change, it can click. To help minimise this, you can apply a filter to the bass track.

For example, if you have a bass on track 3 which is clicking:

1. Create an effect group for track 3
(Song Menu > Effects > Append)

2. Set the cutoff filter to a low frequency.

For example, command 240500 should filter out most clicks. You may also need to change the filter type for that track, for this use the command 250001 (sets filter type to Low-Pass).
A Low-Pass Filter will let through low frequencies and cut out high frequencies (in this case, clicks).

The theory: Because of the nature of digital sound, abrupt changes in sounds can cause a rapid jump from one sound value to another, which are heard as clicks. Since clicks are a high-frequency artifact (or unwanted noise), they can be minimised by what is known as a Low-Pass Filter (let low frequencies through while removing high frequencies). In MED Soundstudio, the Filter command is 24xxxx, where xxxx represents the Filter Cutoff Point, in Hz.

In the above example, 240500 is used to filter out clicks. the 0500 is hexidecimal for 1280, or, 1280 Hz. You will probably need to experiment with different values, as the Low Pass Filter will also change the nature of the sound slightly. For very deep bass sounds you will hardly notice it, but for basses containing higher frequencies the effect may be undesirable.

Two other options for avoiding clicks:

1. Use more than one channel for playing bass sounds, so the notes don't cut eachother off abruptly;

2. Use multiple copies of the same bass sound, cut neatly to different lengths. This is my personal favourite.

Here is an easy way:

Enter a bass line (just a simple one) then go to "Song>>>Effects" and append a new effect and name it "Filter".

Closed it, go to the 'button' at the top of the track and chang the track effect to 'Filter'.
Now simply enter at '0000' x240750 (x = an example sample number, it's not part of the entering).

In easy terms, this reduces the treble and filters it down to create a smoother sound.

*( zipped MMD file - 36.2 kb)

Back To Top Of Page

Setting a filter and an echo on the same track

Sent in by user: bluejooz@yahoo.com

This is just an example :-

1. Goto Song-->Effects and select APPEND.

2. Calculate the amount of delay you would like (for example 150BPM - set delay at 400ms).
Put the Echo Type onto the "Cross Echo" now put Echo Depth upto "50%" and Stereo
Separation onto "+4".

3. Give it a name e.g "Filter and Echo 1" and then click "OK".

4. Select 1 track (you will need 3 in total - just select 1 for now)

5. Enter your desired tune, loop, etc.

6. Goto the number button at the top of the track and click it.

7. Select your new fx "Filter and Echo 1".

8. Now select 2 more tracks (Don't enter any notes)

9. Select the same "Fx".

10. Select, (for example), 0-32 (hold down the left mouse button and press F7 assuming that you are using 0-64 pattern lengths)

11. Goto Tools-->Generate Slides-->[24] Set Filter Cutoff Freq.

12. Input your desired amount (Try this - Start 1 / Finish 2500), then exit.

13. Select the 3rd track - repeat steps 9 and 10 then goto to 14.

14. Select Tools-->Generate Slides--> [23]Filter Sweep or [25]Set Filter Type/Resonance.

Remember to have all the tracks with same "Fx" (Filter and Echo 1) or it won't work.
Now, this is where the stereo really works, "Right" click the track with the samples on
and then click properties.

A new menu will appear displaying all 64 tracks. Find the track with the samples on it and adjust the pan setting left or right.

Warning though, you may find the sample plays louder, so you might have to reduce the volume either on the sample, or adjust the track volume. Exit.

Well, I hope that has helped you.

Blue. Planet Bluejooz

Back To Top Of Page

Can't Stop When Recording a WAV

Manipulating a WAV file that is extremely large can cause processor havoc. First thing to consider is your processor speed and even more important, how much memory do you have?, all these can slow down proccessing and hence you can lose the ability to stop the recording by using the normal stop button as the proccessor is so busy. However, you can press CTRL-ALT-DEL, and then, instead of terminating MED, hit Escape, the Stop Recording button should also be re-enabled by the processor for a few seconds. The 'best' way to counter this problem is to add the FFE command at the end of your song (or single block if you only want to record bits of it). You will however notice that the sample may end (cut off) slightly before it should if you use the command on the end of your block (i.e: the last line). To solve thjis you can either: 1) Add an extra line and put the FFE command there -or- 2) Add an extra block which fades out all the samples and then put the FFE command after that. Yet another solution is to go to the playback options and make sure that the priority is set to normal, NOT high or Real-Time, as both of those settings,(as previously explained),require a lot more proccessing power. So to sum up, the best idea is to let the song stop itself, rather than try and interrupt the recording by clicking the stop button - just insert an FFE command at the end - if necessary, add an empty block and put the command there which also gives you a chance to add a little playing time in case some samples haven't finished playing yet.

To sum up, the problem is caused, primarily, by three things, the size of the WAV, the amount of proccesing power needed to handle that large WAV and also the amount of memory you have in your system. We are doing our best to alleviate these 'windows' memory problems in the next V2 release, but it is highly likely that to be able to run V2 at it's best, (multimedia use), a P3, (or higher), with a minimum 450mzh processor and minimum 128MB RAM will be reccomended.

Back To Top Of Page

Make It Sound LIVE!

The best trick is to let your sample play like it was a "live instrument". For this, I use the '03' and the 'FFD-' commands. If it's well placed, it can generate a "live playing guitar" (if you apply it on a guitar like songs) I use them mostly for the following: I sample my Yamaha A 3000 and then convert them into Wav samples and use those codes to make the voice "alive" and it works well .It sometimes gives unnatural "voice maneuvers" but you can also keep them natural by doing the following: For the 03-command : from note C to D value 1 From note C to E or F value 02 or 03 (depending on the playing speed) from note C to G value 05 (sometimes 04 if the song is a slow) when the destination note is higher, I use as value 08-15 (as higher the destination note the higher the command value) This is found by using Med for it's most powerful feature: you can have the sample completely in your hand like it is a real instrument What I mentioned here is the most important feature, that I did encounter nowhere, except in Med especially when you know people with a good voice but which can't sing then you still can use their voice (in a simple "aahh sound") I did that and the friend in question was surprised and enchanted. Of course you can apply it for strings and other sounds as well with high values and high note slides (more then two octaves) you can make controlled "bloppy sounds"

Back To Top Of Page

Additions Added To Each Release

This is a list of alterations/additions to updates since V1 was released:

Please note that since update v1.7 details of fixes are given in ABOUT

MED v1.5 has had some very significant changes to the previous v1.x updates and although they may not be obvious because they are under the bonnet and not visually apparent, v1.5 cannot possibly be considered a simple v1.x update.

Many previous users complained that the previous V1.x updates used too much CPU power and those with older, slow PC's found that playing most of their songs would quickly bring the PC to a halt.
Andy has answered this question and a lot more, in beta tests playing a 32 stereo channel MOD in MED v1.5 has greatly reduced the CPU usage.

This improvement means that when playing your songs, you will find that the response time from the MED GUI has greatly improved and is now much smoother, even with a song playing that contains many large samples.

To quote John Neil, the MED Help editor..............

Play back is smooth to the point of silky, and again those expecting the same as V1.4 in this department will be very surprised indeed.

We have found that the 'pops n clicks' at the sample start have more or less disappeared completely and the sound is a lot more full and the lower tones (Bass) is much more apparent. (So turn down that bass knob first).

Another major change in this last V1.x is the online help system.
The old style Windows help files has been replaced by the Microsoft HTML help.
This means you will be able to browse through the help files in the same manner as you would through the Internet.

The new help system is mainly a conversion of the original by Ed Wiles, but there are many additions and rewrites to some of the help documents from the new help author John Neill who, like Andy, has put a lot of time and effort into v1.5

In addition to this, there have been even more changes in this department, you will find that new bubble help (or Balloon) has replaced the '?' windows dialog help and you can just place the mouse over certain areas of MED and helpful information will pop up automatically for you. Easy or what eh?

There have been other additions, which while small are very much welcomed in this update such as the ability to preview samples from within the Instrument Pool.

A number of features are under a new subcategory on the 'Settings' menu, aptly named 'Others'. This is where a number of advanced settings will be found. Note that all of these are stored directly in the Windows registry, rather than the traditional MED configuration file.

ExclusiveSoundOutput:
If this value is set to false then MED and other softsynths or other audio programs can share sound together.

ShowBalloonhelp:
This option was asked to be included by the beta testers, this gives you the option to turn off the balloon help when using MED, useful if you are a veteran and do not need the help provided.

OutputPlugin:
You can assign which plug-in Med will use to save your song to disk.

PluginDir:
You can now change the folder where you keep your MED Plugins.

SampleUndoCount:
Before if you wished to change the sample undo level this could only be done by changing the value within the registry itself. The undo level can now easily be changed from here.
You may want to consider adjusting this upwards if you have lots of free memory, or downwards if you are memory constrained, or do not find the undo function useful.

If you think this is just a mere update to v1.4, then forget it.

This is a major upgrade in itself; more or less all the code that was used when Med was first ported over from the Amiga has been removed or re-written as a testbed for the engine to be used within the next V2

REGISTERED USERS

You can select "Register On-Line" from the
MED menu to upgrade to this version.

V1.4:

This version had some of the source re-written as an early test for the next V2, it also had plugins added to allow saving your MED file out in the popular MP3 and other similar formats.

If V1.31 is working for you and you have an old system, (P200/Win95), you are advised not to download this last ever V1.X update as those with old/slow systems (Pre P300) may find the new mix/play engines cause you problems as the new source requires at least a P300 with 64MB RAM, therefore if this affects you, you are advised to stick with V1.3.1

Once completed, V2 will require a Min Win98/P300/64MB RAM , but it will FLY on Win2k or WinXP systems with a min P800/128MB RAM.

V1.31:

Everybody asked for undo/redo, well it's here, at least in the sample editor where it can be most difficult to undo a rash action. For convenience all load and save dialogs now automatically save the last used path. No more shuffling up and down the directory tree to simply get back to where you were before. Insert and Append block in the block list dialog now copies the properties from the currently selected block.

Bug fixes:

Even within a run there were cases where the current load/save path could be lost. This is now fixed. Record sample would lose the appropriate file extension, now fixed. There was a very odd bug where clicking in a file requestor caused MED to think a module had been dropped on the main window. A strange error message would pop up. This now has a work-round. Default name of progkeys file was being set to progkeys_cfg, now fixed. Miscellaneous fixes to promote the name MED (help and config file names).

Undo/Redo Details

Sample editor undo/redo is memory intensive. By default the number of buffers used is 5 (this chews up approximately 6 samples worth of main memory). The number of buffers used can be overridden by a registry setting.
In HKEY_CURRENT_USER/Software/RBF Software/MED SoundStudio 1.3.1 The value "UndoCount" (data type REG_DWORD) can be set. A value of 0 will disable undo/redo entirely. The reckless can modify this upwards but only do this if you have free memory.

Version 1.2

Feature enhancements:

Save as executable, now you can release a module with a built-in player. Autoload of default module, easy to set up a "standard" base for new modules. MED looks in it's home directory for the file "default.med" and will autoload it. To adjust it, edit any med file as required and then save as "default.med" in the home directory (wherever med.exe is located). To get the previous behaviour, delete or rename the "default.med" file in the main home directory.

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

Top of Page

Copyright© RBF Software. All rights reserved.


NEW TO MED?
MED COMMANDS
COMMANDS 2
MED KEYS
Link Below only Available On-Line
MED SUPPORT SITE

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4| Advanced (utilises MIDI)

MED FAQ - PAGE 4

SoundBlaster Live Banks

SB Live and Soundfonts

Software-synthesizer, midi (in multi-mode) and Soundfonts

Command 29

Preventing Stutters

GETTING MORE HELP

SoundBlaster Live Banks

*From:* MED user "Nige G"

The way I'm getting my Soundblaster to change banks is by doing the following: -

1) Load the Soundfonts into the Card
2) Setup each required MIDI instrument in MED with a different transmit channel. (You may also need to use 'A: SB Live! MIDI Synth' for the output port)
3) Select your first instrument and choose a track for it.
4) At the top of the track after the instrument number put '31nn00' {where nn = bank number in hex)
5) Briefly play the track using so that the command gets executed. (This need only take a second)
6) Type a few notes and the Soundblaster should have changed bank so that you can edit your track using the correct sound.
7) Repeat this process on different tracks using a different instrument on each.

I'm very much a novice at this and am still learning the ropes so there may be a much easier method.

I occassionally get instruments which refuse to change bank which I'm currently trying to suss out. (It sometimes helps to refresh them by changing the preset or something). Hope this helps in some way!

*Reply to above From:* MED user Ian Chisholm

I find, when working with MIDI in MED, that a setup block is the order of the day. I have a default block that's set to 24 tracks wide (I haven't needed more yet!) and it has all the first 16 instruments in the first 16 channels, and by playing that block before starting working on the rest of the choon, I can set up all the MIDI stuff for each instrument/MIDI channel.

This is handy because you may need to set up a slide distance that's longer than the default 2 notes for an instrument, or activate it's low pass filter (hurrah!) or set it's pan, yada yada yada.

Play the block once, and it's sorted for that session. Sounds like you do this bank changing stuff in the same way, although to be honest I'll probably stick with using just the one bank now...

I'll tell you something else I've noticed - use the CTRL I or CTRL SHIFT I shortcut keys to insert/append a new block, and it inherits the properties (no of tracks and command pages) of the current block. Using the insert/append button on the block list just adds a default 1 command page 8 channel block. There you go. In case that was annoying you. Hence my default 24 track setup block :)

Back To Top Of Page

Using SB Live Soundfonts with MED

A user asked:

> Hey ppl...
>
> I cannot for the life of me work out how to access the .sf2 banks
> that I can load onto the card with MIDI and MED!

Here is a reply from another user on that subject

*From:* Baird McIntosh

I have gotten this to work fairly reliably, but it was not easy and there are still "quirks."

I am using MED v1.4 and a SB Live. You may be able to adapt these instructions to the SB Audigy. I have the default 4MB soundfont loaded plus several other soundfonts in banks 11, 12, 13, etc.

Here are the steps:

1) Load soundfonts into one or more banks using "SoundFont" application from AudioHQ app
that comes with SBLive--I presume there is something similar with the Audigy.
2) Load MED. The following steps apply to MED.
3) Select MIDI->MIDI Patch Names
For each Soundfont:
a) click InsertNew and type in a name for this instrument (such as "Moog soundfont"
b) select "A: SB Live MIDI Synth" for "This Device Uses Port"
c) Allocate one or more MIDI channels that you want this soundfont to respond to. If you want to be able to play from multiple banks on the SB card, you will need to save some channels for the other banks. For example, I have the default GM soundfont using channels 1-10. have another soundfont using channel 11, another using 12, and another using 13 and 14. I think you need a channel for each patch from the soundfont that you want to be able to play simultaneously. For example, there is an organ sound and a bass sound in one of my soundfonts.

To play both sounds simultaneously, I need to play one on MIDI channel 13 and one on 14.
Sorry if this is obvious.

d) For the builtin GM soundfont, I select "GM Standard" for the Patch Names.
e) For other soundfonts, select "User Defined" for the Patch Names.
Then you can type in the patch names below, but this is not strictly necessary (and it is tedious).
4) You need to set MIDI->MIDI active to be able to play MIDI instruments in a song. This setting will be saved when MED saves your song.
5) Now to set up an instrument:
a) pick an instrument slot in MED and make it a MIDI instrument (Instrument Type = MIDI)
b) set Device to one of your soundfont devices.
They are listed by the names you gave them in step 3 and have a channel number in parentheses after the name (for multi-channel devices)
c) set the output port to "A: SB Live MIDI Synth"
d) set bank 0
e) set a suitable Preset (soundfont patch number)
f) set the Transmit Ch to one of the channels you assigned to this device in step 3 above.
6) Finally, I use a setup block at the start of a song to set the soundfont bank used by a given instrument "on the fly". This seems to be the only way to get it to work.
My startup measure looks like this for a single track:

C-5 6310D00
--- 00FFF00

The first line says play a C-5 (need to play a note I guess) using instrument 6 (which we set up as a MIDI instrument). Send command 31 which by default is configured to affect controller 00 (which selects the SB Live soundfont bank). The 0D is hexadecimal for the decimal number 13. 13 is one of my soundfont banks.

That should do it.

Now you can play the currently selected patch/preset from soundfont bank 13 using MED instrument 6. You might be able to change patches/presets within bank 13 using MIDI commands (read up on the Song->Controller Commands menu item). I haven't tried that. I just set the patch to one number in the Instrument slot configuration and leave it at that.

You will probably have some trouble getting it to work, but the above seems to work for me.
I did NOT get MIDI input from my MIDI keyboard to work, but the documentation and FAQs
imply that other people have noticed this doesn't work in v1.4. The next v2.0 is greatly improved, and look forward to seeing it.

Hope this helps.

Baird

Back To Top Of Page

Software-synthesizer, midi (in multi-mode) and Soundfonts

Hendrik says:

After hours of searching, downloading and experimenting EVERYTHING works!

* First install DirectX8.0a or higher (this may self-evident for most people - for me it wasn't...) now you can choose the DirectX driver for your software-synth and MED will share his voice with him (didn't work work with DirectX7.0!)
* Download Hubi's MIDI LoopBack and his MIDI TransformatoR (http://members.magnet.at/hubwin/midi.html)
* read the txt file of LoopBack and intstall LB1 and LB2
* start two times HWMDCABL.EXE and press the right mouse button on one of it
* now check for example [SB Live! MIDI In] and [LB1]
* select the other HWMDCABL.EXE and select [LB2] and [SB Live! MIDI Out]
* LB1 can be used from any application as MIDI In and LB2 as MIDI Out
* Now you can start MED and in the MIDI-Settings choose LB1 as Input (don't check THRU it only sends MIDI-channel 1 back)
* In the MIDI Patch Setup choose the channels you want to control and [This Device Uses Port:] LB2 (MIDI-Out) [you can make a link for the setup with a command line]
* choose the Instrument-Box and MIDI - on the device list you can choose the channel you want
** Now you can start as many virtual-synth (like VAZ) as your cpu can handle and sequence them on different MIDI-channel via MED [select LB2 for Input in your soft-synth!].
Not enough: during this you are able to edit your Hardware-Synth with a special Software-Editor and change/edit the sound or setup while MED is running a sequence, so you can here the changes!! (It's great - before HUBI I had to use two computers! - AMIGA running MED and the PC running the K4-Editor.)
** You can control a SF2-Bank Prg. like Vienna as well.While MED is sequencing you can change the SF2-Sounds!

For MED-users who make use of hardware synth in MULTI-mode and discovered problems with the MIDI-THRU function, the Tranformator will help you! It's a little bit of a hassle to get it to work so if you mail me privatley at: LangeH@stud.wirt.fh-hannover.de and I can send you a setup (med.trf).
** with this setup for transformator you can select the MIDI-channel of your MULTI-mode you want to hear! Because of a PC-MED Prg. error this isn't possible from within MED; select the MIDI-Instrument you want to input in MED and activate the channel in the Tranformator - you can hear the right instrument, while playing on your keyboard...

At last I'm (and perhaps you are) able to make music with MED as imagined!

Happy experimenting!

Hendrik

Back To Top Of Page

Command 29

*From:* MED user 'Reallooker'

Why use Command 29?

- Automatically time-sync sample loops to a bar regardless of tempo.
- Produce 'live' pitch/time compression/stretch effects.
- Instant loop auditioning through the instrument pool.

Command Format:

C#3 290000

The first part of the command is the "sample offset"
The second part of the command is the "divisor of sample length"

Similar in function to Command 19, Command 29 can be used for a variety of effects that utilise playing from offset points within the sample.

But! whereas Command 19 jumps to any part of a given sample based on the number you supply in the data part of the command, Command 29 sets an offset calculated from both the number you supply and the length of the sample. This makes the programming of offset effects such as loop synchronising and live time-pitch compression very easy.

Loop syncing using Command 29:

This tutorial shows you how to synchronise a loop sample so that you can freely change it's pitch and / or the song tempo during playback without the loop going out of time sync with the rest of your song... Sound useful? You're damn right it's useful......when you get used to this one you'll wonder how you ever coped without it if you like your loops :) It assumes you are familiar with MED Sound Studio and not a complete beginner...

1. Load up a normal 4/4 drum loop sample. By normal I mean make sure it has no 'dead' silence before and after the actual loop... also check that it loops seamlessly (when looped with the regular sample loop option).
Hopefully you should have a sample that starts on the downbeat ie the beat loop starts at the beginning of the sample and not half-way through. As you can see all I'm asking is that you load up a normal drum loop and not some nasty freaky sample that will be a recipe for problems. Let's try not to mess up my demonstration :P

2. Choose the pitch you want for this drum loop place down the same chosen note on each line of the track for as long as one bar of your tune runs (typically 16 lines). If your drum loop is more than one bar long then carry on placing notes for as many bars as there are in your drum loop. Most of mine are either 1 or 2 bar drum loops so I place notes from 0-15 or 0-31 respectively on my track. So you get something that looks like this:-

0000: F#6
0001: F#6
0002: F#6
0003: F#6
0004: F#6
0005: F#6
0006: F#6
0007: F#6
0008: F#6
0009: F#6
0010: F#6
0011: F#6
0012: F#6
0013: F#6
0014: F#6
0015: F#6
0016: F#6

3. Select these lines and choose Tools -> Generate Slides, and select code 29.

4. In the top right box enter the line number of the last note you placed on the drum track (probably either 15 or 31).

5. If your drum loop is a 1-bar sample press the generate slide button otherwise put 20 in both of the bottom boxes and then press the generate slide button.

6. This has now time-synced the drum loop to one or two bars of your tune, copy this completed section to the rest of the empty track as appropriate so you have a complete looping block of drums.

7. If you let the rest of your tune play along side this drum track it should be synced perfectly to the tempo of your song, regardless of the drum loop's original speed. Now here comes the crazy bit :-) You can adjust the speed of your track up and down with the tempo slider or tempo commands and the beat will automatically stay in sync - you can even transpose the pitch of the entire drum track and again it will all stay in sync. (if you stray wildly away from either the original pitch of your drum-loop or you choose a tempo much slower than the original you may get echo-like effects introduced but thats the nature of time-pitch compression.. That said, some people like this 'crazy side-effect'...

If you have a library of beats ready to loop (this is great this :) you can follow steps 1-7 and then while your block is playing through you can switch in and out different beat loops from your sample library by double-clicking different loops from the instrument pool to overwrite the beat you originally synced. The 29 commands you placed earlier will guarantee that whichever beat you load up it is instantly synced to the tune while it continues playing!

The principles here apply to any sort of loop - I picked drums because they will accompany most tracks without the need for tuning. You can of course use command 29 to time-sync other musical loops such as guitar riffs etc - if you do pick a non-percussion sample expect to have to tune it with the transpose tools although the timing and rhythm of the sample will be synced as with the drum-loop example above.

To Summarise:

The last part of the 29 command can be thought of as the number of track lines your sample will span (in hex)
The the first part should correspond to how far through the sample (or which piece) you want to play (also in hex). Leaving the last section as 00 makes it default to 10 hex or 16 (the most command choice).

So this sequence

:
0012: F#6 11290007
0013: F#6 11290107
0014: F#6 11290207
0015: F#6 11290307
0016: F#6 11290407
0017: F#6 11290507
0018: F#6 11290607

..forces my instrument 11 to play (from the start of the sample to the end) at pitch F#6 over exactly 7 lines starting on line 12.

Cheeky drum programming & rejigging loops:

One absolute bonus of Command 29 is the easy way it lets you rejig a drum-loop or a sample loop. Cos the "action" in this loops tends to lie on 16th divisions within the sample you can easily have your loop play alternative arrangements and variations by simply shuffling the play order of each sample slice. In a nutshell if you do the following with a loop:

0000: F#6 11290000
0001: F#6 11290100
0002: F#6 11290200
0003: F#6 11290300
0004: F#6 11290400
0005: F#6 11290500
0006: F#6 11290750
0007: F#6 11290700
0008: F#6 11290800
0009: F#6 11290900
0010: F#6 11290A00
0011: F#6 11290B00
0012: F#6 11290C00
0013: F#6 11290D00
0014: F#6 11290E00
0015: F#6 11290F00

...(I use the above arrangement a lot by the way to force any 1-bar breakbeat to always span 16 lines) - you can rejig the rhythm very easily by changing the order of the blue numbers; because of the way command 29 works this is a convenient and simple way of doing jazzy variations on any breakbeat or loop - because of the way command 29 works each number 0-F in the blue section above represents the major "beat" points in your loops regardless of its original tempo or pitch. For example (more often than not) 290400 represents the snare in many drum loops - 290000 usually the kick...

Have a play with this command it is an absolute beauty when you get to grips with it :)

- Rick

Back To Top Of Page

Preventing Stutters in Med

*From:* MED user 'Darkside'

This tip wont affect everyone, just the few like me who have a pc that has to be different !
On some pc's (generally pentium 4's but it also affects some AMD based machines) you might find Med doesn't want to play ball.
It may stutter when playing or it may slow down to a halt for no apparent reason

ALL IS NOT LOST!

The reason this happens is a hard one to explain but easy to fix.
Its not a bug in med as such and its not a bug in your hardware, Its just an irritation which i happen to have a solution for

1. The first thing to look at is the 23 24 & 25 command (These control the filter in med) look through the med file and see if there are any. If you find these commands then more than likely the command will be repeated (a good example is the 23 and 24 commands being used for filter sweeps). If for instance there's a filter sweep in the med file using command 23 which is repeated later in the file on the same channel then the first 23 command needs to be reset before it hits the second (insert another 23 command and enter the value as zero to reset)

2. The second thing to look for is weird and only happens on certain med files. If your composing or playing a med file and you get the jitters (not you literally, im talking about your pc) then check to see if you have repeated any blocks in meds playing sequence, I.E your playing sequence goes something like 1.2.3.4.5.5.5.6.7.8.9 .. etc. If this is the case then try composing your med file without repeating any blocks ie : 1.2.3.4.5.6.7.8.9.10 .. etc. (If you need a block repeated then copy it and paste it to a new block)

I hope thats of some help, as i said it doesnt effect everyone but for those it does it can be a right pain .
(the above advice should fix this though)

All the best

Patrick

(addendum by Ray)

You may find that due to all the work on the new mix engine, your OLD Amiga mods may need some
adjustments as explained by Patrick.

Back To Top Of Page

GETTING MORE HELP

Many other tips and MIDI advice for MED users can also
be found on the The Official MED Support Web Site

MED Support Web Site

If you find that none of the FAQ's have helped you in sorting out your problem, then please go to the Support site above, it may have the answer.

As a last resort, please detail your problem in the closed registered users MED mail list.
(see link in menu top left of this page)

If, after trying the demo, you decide to become a registered user, you will also be joined to registered users closed mail list.

PAGE 1 | PAGE 2 | PAGE 3 | PAGE 4

Top of Page

Copyright© RBF Software. All rights reserved.


FAQ PAGE 1
MED COMMANDS
MED COMMANDS 2
ABOUT

Med Shortcut Keys

Download MED Keyboard shortcuts in PDF format, handy for printing here

ESC | Toggle Edit on/off
SHIFT+ESC | Toggle Chords on/off (the more tracks on block, the bigger the chord)
F1 | The HELP File
F2 | Change the overall samples OCTAVE DOWN (Lowest = Oct 12)
F3 | Change the overall samples OCTAVE UP (Highest = Oct AB)
F4 | N/A
F5 | Go to TOP of current PATTERN (BLOCK)
F6 | Go to 1/4 of current PATTERN (BLOCK)
F7 | Go to 1/2 of current PATTERN (BLOCK)
F8 | Go to 3/4 of current PATTERN (BLOCK)
F9 | N/A
F10 | Select File menu bar (at the top of the screen: use left, right and down.)
F11 | N/A
F12 | N/A
CTRL+F | Find and Replace
CTRL+B | Select ALL of current track (the one you are on)
CTRL+D | Delete last block in memory
CTRL+G | Deletes current Instrument (from song and editor)
CTRL+J | Join last block in memory
CTRL+L | New Block
CTRL+SHIFT+L | Insert New Block after last
CTRL+SHIFT+BkSp | Track into blocks
CTRL+O | Open Song/Sample
CTRL+S | Save Song/Sample (GET USE TO USING THIS!!)
CTRL+N | New Song (scrap the one you are using or save it first)
CTRL and - (minus) | Mute ALL tracks
CTRL and + (plus) | Un-mute ALL tracks
SHIFT+CTRL+SPACE | Play whole song from start
SHIFT+SPACE | Continue song
CTRL+ALT+SPACE | Play Block
CTRL+SPACE | Continue Block
SPACE | Stop
ALT+F | Opens File menu (from TRACKER screen)
ALT+2 | Opens Sample Editor
ALT+3 | Opens Synth Editor
ALT+4 | Opens MIDI Message Editor
ALT+5 | Opens Instrument Pool
ALT+6 | Opens Instrument (load in sample)
ALT+7 | Section Sequence
ALT+8 | Playing Sequence
ALT+9 | Block Properties
ALT+0 | Instrument Properties
SHIFT+CTRL+SPACE | Play whole song from start
SHIFT+SPACE | Continue song
CTRL+ALT+SPACE | Play Block
CTRL+SPACE | Continue Block
SPACE | Stop
CTRL+X | Cut (cuts what is selected)
CTRL+C | Copy (copies what is selected)
CTRL+V | Paste (pastes OVER selected area)
CTRL+SHIFT+X | Cuts BLOCK (NOT TRACK - the WHOLE block)
CTRL+SHIFT+C | Copy BLOCK (Copies ENTIRE BLOCK)
CTRL+SHIFT+V | Paste BLOCK (Pastes over ENTIRE block)

*BRANCH- CTRL+N - New
*BRANCH- CTRL+O - Open
*BRANCH- g - Open Song..(replaces current song)
*BRANCH- CTRL+S - Save (Saves MOD as ORIGINAL name)
*BRANCH- CTRL+A - Save as..(change the title of your MOD)
*BRANCH- CTRL+R - Record as Sample

Want to copy and paste more than one track at a time? Hold down the LEFT MOUSE and then press SHIFT + Left. This will select the first line of each track. Now, without letting go of the mouse button, press the UP button! This will take you to the last sequence. To copy half of the block, hold the LEFT MOUSE button down and press F7. Now simply copy and paste to your desired location."

ALT+E - Opens Edit menu (from TRACKER screen)

*BRANCH- CTRL+X (or just 't') - Cut selection
*BRANCH- CTRL+C (or SHIFT+'C') - Copy selection
*BRANCH- CTRL+V (or SHIFT+'P') - Paste to selected area
*BRANCH- DEL (or SHIFT+'D') - Deletes current selection
*BRANCH- 'T' - Cut TRACK ('T' toggles between cut selection and track)
*BRANCH- 'o' - Copy TRACK
*BRANCH- 'a' - Paste TRACK
*BRANCH- 'b' - Cut BLOCK
*BRANCH- 'l' - Copy BLOCK
*BRANCH- 's' - Paste BLOCK
*BRANCH- 's' - Split BLOCK ('s' toggles between two commands)
*BRANCH- 'j' - Join BLOCK

Each track has it's own properties. To view them quickly, just press the 'MENU' key ( found on your right hand side, between the 'Windows key' and the 'CTRL' key). Either click on Properties or press 'r'. You can also Copy and Paste, or Insert a command."

ALT+V - Opens View menu (from TRACKER screen)
*BRANCH- 's' - opens Sample Editor
*BRANCH- 'y' - opens Synth Editor
*BRANCH- 'm' - opens MIDI Message Editor
*BRANCH- 'a' - opens Module Annotation
*BRANCH- 'p' - opens Instrument Pool

ALT+I - Opens Insert Menu (from TRACKER screen)
*BRANCH- 'n' - New Block
*BRANCH- 'd' - Load instrument (sample)
*BRANCH- 't' - Track into blocks
*BRANCH- 'a' - Track into ALL blocks
*BRANCH- 'l' - Line into blocks
*BRANCH- 's' - Block into Sequence

DELETE BRANCH.... *BRANCH- 'b' or CTRL+D (with in this menu) - Deletes current BLOCK
*BRANCH- 'o' or SHIFT+CTRL+D (with in this menu) - Deletes last BLOCK
*BRANCH- 'i' or CTRL+G - Deletes current Instrument
*BRANCH- 'u' or SHIFT+CTRL+D - Deletes all unused Instruments
*BRANCH- 't' or CTRL+Backspace - Deletes TRACK from BLOCK
*BRANCH- 'a' - Deletes TRACK from ALL BLOCKS
*BRANCH- 'l' - Deletes LINE from BLOCK
*BRANCH- 's' - Deletes BLOCK from sequence

Remember to save your work as often as you can! You can save quickly by pressing 'CTRL+S'. My advice (if you use the 'Save as...' option) is to save 2 files - for example 'Best Song in the World 1' and 'Best Song in the World 2'. This way, if you do something drastically wrong and it goof's up your song, then at least you have another version to fall back on."

ALT+S - Opens Song Menu (from TRACKER screen)
*BRANCH-'l' - Select
*BRANCH-'c' or ALT+7 - Section sequence
*BRANCH-'s' or ALT+8 - Playing sequence
*BRANCH-'b' - BLOCK list
*BRANCH-'r' or ALT+9 - BLOCK properties
*BRANCH- 't' - TRACK properties
*BRANCH- 'l' - Instrument list
*BRANCH- 'i' or ALT+0 - Instrument properties
*BRANCH- 'e' - Song Tempo
*BRANCH- 'e' (toggles between choice) - Effects
*BRANCH- 'c' - Controller Commands
*BRANCH- 'p' - Song properties

ALT+M - Opens MIDI Menu (from TRACKER screen)
*BRANCH- 'm' - Toggles MIDI on/off
*BRANCH- 'i' - Toggles INPUT on/off
*BRANCH- 'r' - Resets prestes and pitchbenders
*BRANCH- 'p' - MIDI Patch Names
*BRANCH- 's' - settings
*BRANCH- 'f' - MIDI File Load settings
*BRANCH- 't' - MIDI Port Map
*BRANCH- 'e' - Send MIDI message

MIDI Patch Names (MPN) BRANCH as follows....
*MPN BRANCH- 'i' - Insert New
*MPN BRANCH- 'a' - Append New
*MPN BRANCH- 'd' - Delete
*MPN BRANCH- 'l' - Load
*MPN BRANCH- 's' - Save

To scroll across several tracks quickly, press 'CTRL+Left (or Right) Arrow'. Remember, 'F5 to F8' will also move you to the top, a quarter, halfway and three quarters respectively.

ALT+T - Opens Tools Menu (from TRACKER screen)
*BRANCH- 't' - Transpose
*BRANCH- 's' - Generate Slides

Generate Slides (GS) BRANCH as follows....
*GS BRANCH- 'g' - Generate
BRANCH- 'p' - Generate Pitch Slide

*>>> Generate Pitch Slide (GPS) BRANCH as follows....
*GPS BRANCH- '3' - Using command slide '03'
*GPS BRANCH- '1' - Using command slide '01'
*BRANCH- 'e' - Generate Volume Echo
*BRANCH- 'p' - Spread Selection
*BRANCH- 'x' - Expand or Shrink Block
*BRANCH- 'e' - Generate Volume Echo
*BRANCH- 'p' - Spread Selection
*BRANCH- 'x' - Expand or Shrink Block

*Expand or Shrink Block (ESB) BRANCH as follows...

*ESB BRANCH- 'e' - Expands
*ESB BRANCH- 's' - Shrinks
*BRANCH- 'r' - External Programs (Depending on version)

ALT+N - Opens Settings Menu (from TRACKER screen)

*BRANCH- 'p' - Opens 'Playback settings' panel
*BRANCH- 'r' - Changes playback setting to Responsive
*BRANCH- 's' - Changes playback setting to Solid
*BRANCH- 'd' - Opens 'Display' settings panel

Display (Dis) BRANCH as follows....

*Dis BRANCH - 'c' - Choose your desired Song Editor Font
*Dis BRANCH - 'd' - Default (reverts back to original Font)

"Whizzing through the sample list is easy if you press 'SHIFT+ Right Arrow (and Left). You can also use the numeric keypad too! Use the '+' to go up and the '-' to go down. You can also press 1,2 and 3. That will take you up by 16 (01 through to 0f) and so on......"

ALT+N - Opens Settings Menu (from TRACKER screen)

*BRANCH- 'p' - Opens 'Playback settings' panel
*BRANCH- 'r' - Changes playback setting to Responsive
*BRANCH- 's' - Changes playback setting to Solid
*BRANCH- 'd' - Opens 'Display' settings panel
*BRANCH- 'k' - Opens 'Keyboard setting' panel (for editing and spacing)
*BRANCH- 'o' - Opens 'Programmable Keys' panel (Ideal for setting up HOTKEYS)
*BRANCH- 'l' - Loads settings
*BRANCH- 'a' - Saves Settings AS..

ALT+H - Opens Help Menu (from TRACKER screen)
*BRANCH- 'h' - Opens HELP file (same as F1)
*BRANCH- 'a' - About MED

This is not a complete list of shortcuts that are available,
but they are probably the most important.

If all else fails - press F1 for help!!